## Run from tf_raycast:start_raycast

# Using dx for precise hitbox detection
# Parameters:
#     Edit not_mob.json in tags/entities to change which entities will not be targetted
#     Change the "positioned" offsets to change projectile size
#       - If > 1 block, just use one dx detection
execute as @e[tag=!timeraycasting,type=!#ben:not_mob,dx=0] if entity @s[nbt={Age:0}] positioned ~-0.99 ~-0.99 ~-0.99 if entity @s[dx=0] positioned ~0.99 ~0.99 ~0.99 run function ben:alien_x/timecast/collide
execute as @e[tag=!timeraycasting,type=!#ben:not_mob,dx=0] unless entity @s[nbt={Age:0}] positioned ~-0.99 ~-0.99 ~-0.99 if entity @s[dx=0] positioned ~0.99 ~0.99 ~0.99 run function ben:alien_x/timecast/collide2
execute as @e[tag=!timeraycasting,type=!#ben:not_mob,dx=0] if entity @s[nbt={IsBaby:0b}] positioned ~-0.99 ~-0.99 ~-0.99 if entity @s[dx=0] positioned ~0.99 ~0.99 ~0.99 run function ben:alien_x/timecast/collide
execute as @e[tag=!timeraycasting,type=!#ben:not_mob,dx=0] if entity @s[nbt={IsBaby:1b}] positioned ~-0.99 ~-0.99 ~-0.99 if entity @s[dx=0] positioned ~0.99 ~0.99 ~0.99 run function ben:alien_x/timecast/collide2

scoreboard players add .distance tf_rc 1

# Make raycast visible

particle dust 1 1 1 1 ~ ~ ~ 0.1 0.1 0.1 0 4
# Repeat the raycast if certain conditions are met
# Parameters:
#    (score after "matches") * (accuracy increment) = range
#    The "positioned" value specifies the precision
#    Edit raycast_pass.json in tags/blocks to change which blocks the raycast ignores
#    "rotated" controls arc/curve of raycast path
execute if score .distance tf_rc matches ..300 positioned ^ ^ ^0.1 rotated ~ ~ if block ~ ~ ~ #ben:raycast_pass run function ben:alien_x/timecast/raycast
