#time -1

execute at @s[scores={time=2399}] run function animated_java:goop/summon
execute at @s[scores={time=2399}] run function ben:idle
execute at @s run tp @e[tag=aj.goop.root,sort=nearest,limit=1] ~ ~ ~ ~ 0
execute at @s if block ~ ~ ~ air unless block ~ ~1 ~ air unless block ~ ~-1 ~ air run tp @e[tag=aj.goop_blob.root,sort=nearest,limit=1] ~ ~ ~ ~ 0

#vida
#20 ❤️


#efectos
effect give @s[nbt=!{active_effects:[{id:"minecraft:regeneration",amplifier:3b}]}] regeneration 1 3 true
effect give @s water_breathing 1 1 true

#vuelo: puede volar
function ben:fly

scoreboard players add @s[tag=fly] timer 1

execute at @s[scores={timer=1},tag=fly] run execute as @e[tag=aj.goop.root,sort=nearest,limit=1] run function animated_java:goop/animations/run/stop
execute at @s[scores={timer=1},tag=fly] run execute as @e[tag=aj.goop.root,sort=nearest,limit=1] run function animated_java:goop/animations/fly/play

scoreboard players reset @s[tag=fly] walk
scoreboard players reset @s[tag=fly] walk_water
scoreboard players reset @s[tag=fly] walk_on_water
scoreboard players reset @s[tag=fly] sneak
scoreboard players reset @s[tag=fly] swim

execute at @s[scores={timer=1..},tag=!fly] run execute as @e[tag=aj.goop.root,sort=nearest,limit=1] run function animated_java:goop/animations/fly/stop
execute at @s[scores={timer=1..},tag=!fly] run execute as @e[tag=aj.goop.root,sort=nearest,limit=1] run function animated_java:goop/animations/idle/play

scoreboard players set @s[scores={timer=1..},tag=!fly] walk 3
scoreboard players set @s[scores={timer=1..},tag=!fly] walk_water 3
scoreboard players set @s[scores={timer=1..},tag=!fly] walk_on_water 3
scoreboard players set @s[scores={timer=1..},tag=!fly] sneak 3
scoreboard players set @s[scores={timer=1..},tag=!fly] swim 3

scoreboard players reset @s[tag=!fly] timer

#habilidades pasivas
#maleable:puede pasar huecos de 1 bloque y vallas
execute at @s[scores={tech=0}] if block ~ ~ ~1 air unless block ~ ~1 ~1 air run tp ~ ~ ~0.001
execute at @s[scores={tech=0}] if block ~ ~ ~-1 air unless block ~ ~1 ~-1 air run tp ~ ~ ~-0.001
execute at @s[scores={tech=0}] if block ~1 ~ ~ air unless block ~1 ~1 ~ air run tp ~0.001 ~ ~
execute at @s[scores={tech=0}] if block ~-1 ~ ~ air unless block ~-1 ~1 ~ air run tp ~-0.001 ~ ~
execute at @s[scores={tech=0}] if block ~ ~ ~ air unless block ~ ~1 ~ air unless block ~ ~-1 ~ air run attribute @s minecraft:generic.movement_speed base set 0.3
execute at @s[scores={tech=0}] if block ~ ~1 ~ air if block ~ ~ ~ air run attribute @s minecraft:generic.movement_speed base set 0.1

execute at @s[scores={tech=0},y_rotation=-45..45] if block ~ ~ ~0.1 #minecraft:fences run tp ~ ~ ~0.001
execute at @s[scores={tech=0},y_rotation=45..135] if block ~-0.1 ~ ~ #minecraft:fences run tp ~-0.001 ~ ~
execute at @s[scores={tech=0},y_rotation=135..-135] if block ~ ~ ~-0.1 #minecraft:fences run tp ~ ~ ~-0.001
execute at @s[scores={tech=0},y_rotation=-135..-45] if block ~0.1 ~ ~ #minecraft:fences run tp ~0.001 ~ ~

execute at @s[scores={tech=0},y_rotation=-45..45] if block ~ ~ ~0.01 iron_bars run tp ~ ~ ~0.001
execute at @s[scores={tech=0},y_rotation=45..135] if block ~-0.01 ~ ~ iron_bars run tp ~-0.001 ~ ~
execute at @s[scores={tech=0},y_rotation=135..-135] if block ~ ~ ~-0.01 iron_bars run tp ~ ~ ~-0.001
execute at @s[scores={tech=0},y_rotation=-135..-45] if block ~0.01 ~ ~ iron_bars run tp ~0.001 ~ ~

#blob
execute at @s if block ~ ~ ~ air unless block ~ ~1 ~ air unless block ~ ~-1 ~ air as @e[tag=aj.goop.root,sort=nearest,limit=1] run function ben:goop/blob
execute at @s if block ~ ~1 ~ air if block ~ ~ ~ air as @e[tag=aj.goop_blob.root,sort=nearest,limit=1] run function ben:goop/normal

#habilidades activas
execute as @s[nbt={SelectedItemSlot:0},scores={colors=0}] run title @s actionbar {"text":"Acidic Slime","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:1}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:2}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:3}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:4}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:5}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:6}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:7}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:8}] run title @s actionbar {"text":""}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=1}] run title @s actionbar {"text":"Acidic Slime","color":"dark_red","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=2}] run title @s actionbar {"text":"Acidic Slime","color":"gold","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=3}] run title @s actionbar {"text":"Acidic Slime","color":"yellow","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=4}] run title @s actionbar {"text":"Acidic Slime","color":"dark_aqua","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=5}] run title @s actionbar {"text":"Acidic Slime","color":"blue","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=6}] run title @s actionbar {"text":"Acidic Slime","color":"dark_purple","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=7}] run title @s actionbar {"text":"Acidic Slime","color":"light_purple","bold":true}


execute as @s[scores={click=1..},nbt={SelectedItemSlot:0}] unless entity @s[scores={timer2=1..}] run function ben:goop/slime

effect give @s[scores={timer2=1}] slowness 1 255 true
effect give @s[scores={timer2=1}] jump_boost 1 200 true


scoreboard players add @s[scores={timer2=1..}] timer2 1

scoreboard players reset @s[scores={timer2=1..20}] walk
scoreboard players reset @s[scores={timer2=1..20}] walk_water
scoreboard players reset @s[scores={timer2=1..20}] walk_on_water
scoreboard players reset @s[scores={timer2=1..20}] sneak
scoreboard players reset @s[scores={timer2=1..20}] swim

execute at @s[scores={timer2=8..20}] positioned ^ ^ ^1 run function ben:goop/slimecast/start_raycast

execute at @s[scores={timer2=20}] run execute as @e[tag=aj.goop.root,sort=nearest,limit=1] run function animated_java:goop/animations/blast/stop
execute at @s[scores={timer2=20}] run execute as @e[tag=aj.goop.root,sort=nearest,limit=1] run function animated_java:goop/animations/idle/play

scoreboard players set @s[scores={timer2=20}] walk 3
scoreboard players set @s[scores={timer2=20}] walk_water 3
scoreboard players set @s[scores={timer2=20}] walk_on_water 3
scoreboard players set @s[scores={timer2=20}] sneak 3
scoreboard players set @s[scores={timer2=20}] swim 3

scoreboard players reset @s[scores={timer2=20}] timer2



#particles


execute at @s[scores={colors=0},tag=fly] rotated ~ 0 positioned ^ ^ ^1 run particle block lime_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20
execute at @s[scores={colors=0},tag=fly] rotated ~ 0 positioned ^ ^ ^1 run particle falling_dust lime_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20

execute at @s[scores={colors=0},predicate=ben:sprint] rotated ~ 0 positioned ^ ^ ^1 run particle block lime_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20
execute at @s[scores={colors=0},predicate=ben:sprint] rotated ~ 0 positioned ^ ^ ^1 run particle falling_dust lime_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20


execute at @s[scores={colors=1},tag=fly] rotated ~ 0 positioned ^ ^ ^1 run particle block red_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20
execute at @s[scores={colors=1},tag=fly] rotated ~ 0 positioned ^ ^ ^1 run particle falling_dust red_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20

execute at @s[scores={colors=1},predicate=ben:sprint] rotated ~ 0 positioned ^ ^ ^1 run particle block red_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20
execute at @s[scores={colors=1},predicate=ben:sprint] rotated ~ 0 positioned ^ ^ ^1 run particle falling_dust red_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20


execute at @s[scores={colors=2},tag=fly] rotated ~ 0 positioned ^ ^ ^1 run particle block orange_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20
execute at @s[scores={colors=2},tag=fly] rotated ~ 0 positioned ^ ^ ^1 run particle falling_dust orange_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20

execute at @s[scores={colors=2},predicate=ben:sprint] rotated ~ 0 positioned ^ ^ ^1 run particle block orange_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20
execute at @s[scores={colors=2},predicate=ben:sprint] rotated ~ 0 positioned ^ ^ ^1 run particle falling_dust orange_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20


execute at @s[scores={colors=3},tag=fly] rotated ~ 0 positioned ^ ^ ^1 run particle block yellow_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20
execute at @s[scores={colors=3},tag=fly] rotated ~ 0 positioned ^ ^ ^1 run particle falling_dust yellow_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20

execute at @s[scores={colors=3},predicate=ben:sprint] rotated ~ 0 positioned ^ ^ ^1 run particle block yellow_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20
execute at @s[scores={colors=3},predicate=ben:sprint] rotated ~ 0 positioned ^ ^ ^1 run particle falling_dust yellow_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20


execute at @s[scores={colors=4},tag=fly] rotated ~ 0 positioned ^ ^ ^1 run particle block lime_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20
execute at @s[scores={colors=4},tag=fly] rotated ~ 0 positioned ^ ^ ^1 run particle falling_dust warped_wart_block ~ ~0.5 ~ 0.2 0.5 0.2 0 20

execute at @s[scores={colors=4},predicate=ben:sprint] rotated ~ 0 positioned ^ ^ ^1 run particle block lime_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20
execute at @s[scores={colors=4},predicate=ben:sprint] rotated ~ 0 positioned ^ ^ ^1 run particle falling_dust warped_wart_block ~ ~0.5 ~ 0.2 0.5 0.2 0 20


execute at @s[scores={colors=5},tag=fly] rotated ~ 0 positioned ^ ^ ^1 run particle block light_blue_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20
execute at @s[scores={colors=5},tag=fly] rotated ~ 0 positioned ^ ^ ^1 run particle falling_dust diamond_block ~ ~0.5 ~ 0.2 0.5 0.2 0 20

execute at @s[scores={colors=5},predicate=ben:sprint] rotated ~ 0 positioned ^ ^ ^1 run particle block light_blue_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20
execute at @s[scores={colors=5},predicate=ben:sprint] rotated ~ 0 positioned ^ ^ ^1 run particle falling_dust diamond_block ~ ~0.5 ~ 0.2 0.5 0.2 0 20


execute at @s[scores={colors=6},tag=fly] rotated ~ 0 positioned ^ ^ ^1 run particle block purple_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20
execute at @s[scores={colors=6},tag=fly] rotated ~ 0 positioned ^ ^ ^1 run particle falling_dust purple_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20

execute at @s[scores={colors=6},predicate=ben:sprint] rotated ~ 0 positioned ^ ^ ^1 run particle block purple_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20
execute at @s[scores={colors=6},predicate=ben:sprint] rotated ~ 0 positioned ^ ^ ^1 run particle falling_dust purple_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20


execute at @s[scores={colors=7},tag=fly] rotated ~ 0 positioned ^ ^ ^1 run particle block magenta_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20
execute at @s[scores={colors=7},tag=fly] rotated ~ 0 positioned ^ ^ ^1 run particle falling_dust magenta_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20

execute at @s[scores={colors=7},predicate=ben:sprint] rotated ~ 0 positioned ^ ^ ^1 run particle block magenta_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20
execute at @s[scores={colors=7},predicate=ben:sprint] rotated ~ 0 positioned ^ ^ ^1 run particle falling_dust magenta_concrete ~ ~0.5 ~ 0.2 0.5 0.2 0 20