## Run from tf_raycast:start_raycast

# Using dx for precise hitbox detection
# Parameters:
#     Edit not_mob.json in tags/entities to change which entities will not be targetted
#     Change the "positioned" offsets to change projectile size
#       - If > 1 block, just use one dx detection

scoreboard players add .distance tf_rc 1

# Make raycast visible
particle minecraft:lava ~ ~ ~ 1 0 1 0 4

fill ~-1 ~-1 ~1 ~1 ~1 ~-1 air replace snow
fill ~-1 ~-1 ~1 ~1 ~1 ~-1 air replace snow_block
fill ~-1 ~-1 ~1 ~1 ~1 ~-1 air replace powder_snow
fill ~-1 ~-1 ~1 ~1 ~1 ~-1 water replace ice
fill ~-1 ~-1 ~1 ~1 ~1 ~-1 water replace frosted_ice
fill ~-1 ~-1 ~1 ~1 ~1 ~-1 magma_block replace #minecraft:mineable/pickaxe
fill ~-1 ~-1 ~1 ~1 ~1 ~-1 magma_block replace #minecraft:mineable/shovel

# Repeat the raycast if certain conditions are met
# Parameters:
#    (score after "matches") * (accuracy increment) = range
#    The "positioned" value specifies the precision
#    Edit raycast_pass.json in tags/blocks to change which blocks the raycast ignores
#    "rotated" controls arc/curve of raycast path
execute if score .distance tf_rc matches ..150 positioned ^ ^ ^0.1 rotated ~ 0 if block ~ ~ ~ #ben:raycast_pass run function ben:heatblast/meltcast/raycast
execute if score .distance tf_rc matches ..150 positioned ^ ^ ^0.1 rotated ~ 0 unless block ~ ~ ~ #ben:raycast_pass run scoreboard players set .distance tf_rc 150
