#time -1


execute at @s[scores={time=2399}] run function animated_java:heatjaws/summon
execute at @s[scores={time=2399}] run function ben:idle
execute at @s run tp @e[tag=aj.heatjaws.root,sort=nearest,limit=1] ~ ~ ~ ~ 0

scoreboard players set @s[scores={time=2399}] watertime 1200

#vida
#20 ❤️

#efectos
#debilidad (al secarse) + wither (al secarse) + lentitud (al secarse) + fatiga al minar (al secarse)
effect give @s[scores={watertime=..1}] weakness 1 0 true
effect give @s[scores={watertime=..1}] slowness 1 0 true
effect give @s[scores={watertime=..1}] wither 1 1 true
effect give @s[scores={watertime=..1}] mining_fatigue 1 0 true

#fuerza + resistencia + poder de conduit + gracia de delfín 
effect give @s[scores={watertime=1..}] strength 1 0 true
effect give @s[scores={watertime=1..}] resistance 1 0 true
effect give @s[scores={watertime=1..}] conduit_power 1 0 true
effect give @s[scores={watertime=1..}] dolphins_grace 1 0 true

#debilidades
#agua: no puede usar sus poderes en agua o bajo lluvia

scoreboard players remove @s[tag=!water,scores={watertime=1..}] watertime 2

#tierra firme: tiene un tiempo límite que puede estar fuera del agua o fuera de la lluvia antes de recibir daño (este tiempo se reduce aún más rápido en el desierto y se agota completamente al entrar al nether)
scoreboard players set @s[tag=water] watertime 1200
execute as @s[predicate=!ben:clear] run scoreboard players set @s[predicate=is_sky:check_sky] watertime 1200
scoreboard players remove @s[tag=!water,scores={watertime=1..},predicate=ben:desert] watertime 1
execute if block ~ ~-1 ~ magma_block run scoreboard players remove @s[tag=!water,scores={watertime=1..}] watertime 1
scoreboard players remove @s[predicate=ben:fire,tag=!water,scores={watertime=1..}] watertime 1
scoreboard players set @s[tag=!water,scores={watertime=1..},predicate=ben:nether] watertime 0

#habilidades activas

#lanzallamas: dispara un chorro de fuego que daña y quema a los mobs
execute as @s[scores={click=1..},nbt={SelectedItemSlot:0}] unless entity @s[scores={timer=1..}] run function ben:heatjaws/flame

#disparo de fuego: puede disparar bolas de fuego que daña y quema a los mobs
execute as @s[scores={click=1..},nbt={SelectedItemSlot:1}] unless entity @s[scores={timer2=1..}] run function ben:heatjaws/fire

#tornado de fuego: crea un tornado de fuego que daña y quema a los mobs
execute as @s[scores={click=1..},nbt={SelectedItemSlot:2}] if entity @s[tag=!water] run function ben:heatjaws/fire_tornado
execute at @s[scores={click=1..},nbt={SelectedItemSlot:2}] if entity @s[tag=water] run playsound minecraft:block.fire.extinguish master @a ~ ~ ~ 1 1

#mordisco: inflige daño extra a los mobs
execute as @s[scores={click=1..},nbt={SelectedItemSlot:3}] unless entity @s[scores={timer3=1..}] run function ben:heatjaws/bite

#absorción de fuego: al shiftear apaga todo el fuego a su alrededor
execute at @s[predicate=ben:sneak] if entity @s[tag=!water] run fill ~5 ~5 ~5 ~-5 ~-5 ~-5 air replace fire
execute at @s[predicate=ben:sneak] if entity @s[tag=!water] run fill ~5 ~5 ~5 ~-5 ~-5 ~-5 air replace soul_fire

execute as @s[nbt={SelectedItemSlot:0},scores={colors=0}] run title @s actionbar {"text":"Flamethrower","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=0}] run title @s actionbar {"text":"Fire ball","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=0}] run title @s actionbar {"text":"Fire tornado","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:3},scores={colors=0}] run title @s actionbar {"text":"Bite","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:4}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:5}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:6}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:7}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:8}] run title @s actionbar {"text":""}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=1}] run title @s actionbar {"text":"Flamethrower","color":"dark_red","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=1}] run title @s actionbar {"text":"Fire ball","color":"dark_red","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=1}] run title @s actionbar {"text":"Fire tornado","color":"dark_red","bold":true}
execute as @s[nbt={SelectedItemSlot:3},scores={colors=1}] run title @s actionbar {"text":"Bite","color":"dark_red","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=2}] run title @s actionbar {"text":"Flamethrower","color":"gold","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=2}] run title @s actionbar {"text":"Fire ball","color":"gold","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=2}] run title @s actionbar {"text":"Fire tornado","color":"gold","bold":true}
execute as @s[nbt={SelectedItemSlot:3},scores={colors=2}] run title @s actionbar {"text":"Bite","color":"gold","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=3}] run title @s actionbar {"text":"Flamethrower","color":"yellow","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=3}] run title @s actionbar {"text":"Fire ball","color":"yellow","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=3}] run title @s actionbar {"text":"Fire tornado","color":"yellow","bold":true}
execute as @s[nbt={SelectedItemSlot:3},scores={colors=3}] run title @s actionbar {"text":"Bite","color":"yellow","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=4}] run title @s actionbar {"text":"Flamethrower","color":"dark_aqua","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=4}] run title @s actionbar {"text":"Fire ball","color":"dark_aqua","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=4}] run title @s actionbar {"text":"Fire tornado","color":"dark_aqua","bold":true}
execute as @s[nbt={SelectedItemSlot:3},scores={colors=4}] run title @s actionbar {"text":"Bite","color":"dark_aqua","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=5}] run title @s actionbar {"text":"Flamethrower","color":"blue","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=5}] run title @s actionbar {"text":"Fire ball","color":"blue","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=5}] run title @s actionbar {"text":"Fire tornado","color":"blue","bold":true}
execute as @s[nbt={SelectedItemSlot:3},scores={colors=5}] run title @s actionbar {"text":"Bite","color":"blue","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=6}] run title @s actionbar {"text":"Flamethrower","color":"dark_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=6}] run title @s actionbar {"text":"Fire ball","color":"dark_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=6}] run title @s actionbar {"text":"Fire tornado","color":"dark_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:3},scores={colors=6}] run title @s actionbar {"text":"Bite","color":"dark_purple","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=7}] run title @s actionbar {"text":"Flamethrower","color":"light_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=7}] run title @s actionbar {"text":"Fire ball","color":"light_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=7}] run title @s actionbar {"text":"Fire tornado","color":"light_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:3},scores={colors=7}] run title @s actionbar {"text":"Bite","color":"light_purple","bold":true}



execute at @s run fill ~5 ~5 ~5 ~-5 ~-5 ~-5 air replace light[level=15]
execute at @s unless entity @s[tag=!water] run fill ~ ~1 ~ ~ ~1 ~ light[level=15] replace air


#particulas
execute at @s[tag=!water] run particle minecraft:flame ~ ~0.5 ~ 0.2 0.5 0.2 0 2
execute at @s[tag=!water] run particle minecraft:smoke ~ ~0.5 ~ 0.2 0.5 0.2 0 2

execute at @s[tag=water] run particle minecraft:poof ~ ~0.5 ~ 0.2 0.5 0.2 0 2

#direccion fireball
execute at @s[scores={timer2=9}] run damage @e[type=minecraft:fireball,limit=1,sort=nearest,tag=fire,distance=..5] 1 minecraft:generic by @s



effect give @s[scores={timer=1}] slowness 1 255 true
effect give @s[scores={timer=1}] jump_boost 1 200 true


scoreboard players add @s[scores={timer=1..}] timer 1

scoreboard players reset @s[scores={timer=1..}] walk
scoreboard players reset @s[scores={timer=1..}] walk_water
scoreboard players reset @s[scores={timer=1..}] walk_on_water
scoreboard players reset @s[scores={timer=1..}] sneak
scoreboard players reset @s[scores={timer=1..}] swim

execute at @s[scores={timer=8..20},tag=!water] run function ben:heatjaws/flamecast/start_raycast

execute at @s[scores={timer=20}] run execute as @e[tag=aj.heatjaws.root,sort=nearest,limit=1] run function animated_java:heatjaws/animations/blast/stop
execute at @s[scores={timer=20}] run execute as @e[tag=aj.heatjaws.root,sort=nearest,limit=1] run function animated_java:heatjaws/animations/idle/play

scoreboard players set @s[scores={timer=20}] walk 3
scoreboard players set @s[scores={timer=20}] walk_water 3
scoreboard players set @s[scores={timer=20}] walk_on_water 3
scoreboard players set @s[scores={timer=20}] sneak 3
scoreboard players set @s[scores={timer=20}] swim 3

scoreboard players reset @s[scores={timer=20}] timer


execute at @s[scores={timer2=8},tag=!water] anchored eyes run summon fireball ^ ^ ^1 {Tags:["fire"]}
execute at @s[scores={timer2=8},tag=!water] run playsound minecraft:entity.blaze.shoot master @a ~ ~ ~ 1 1

execute at @s[scores={timer2=8},tag=water] run playsound minecraft:block.fire.extinguish master @a ~ ~ ~ 1 1
execute at @s[scores={timer2=8},tag=water] anchored eyes run particle smoke ^ ^ ^2 0.1 0.1 0.1 0 10


effect give @s[scores={timer2=1}] slowness 1 255 true
effect give @s[scores={timer2=1}] jump_boost 1 200 true


scoreboard players add @s[scores={timer2=1..}] timer2 1

scoreboard players reset @s[scores={timer2=1..20}] walk
scoreboard players reset @s[scores={timer2=1..20}] walk_water
scoreboard players reset @s[scores={timer2=1..20}] walk_on_water
scoreboard players reset @s[scores={timer2=1..20}] sneak
scoreboard players reset @s[scores={timer2=1..20}] swim


execute at @s[scores={timer2=20}] run execute as @e[tag=aj.heatjaws.root,sort=nearest,limit=1] run function animated_java:heatjaws/animations/blast/stop
execute at @s[scores={timer2=20}] run execute as @e[tag=aj.heatjaws.root,sort=nearest,limit=1] run function animated_java:heatjaws/animations/idle/play

scoreboard players set @s[scores={timer2=20}] walk 3
scoreboard players set @s[scores={timer2=20}] walk_water 3
scoreboard players set @s[scores={timer2=20}] walk_on_water 3
scoreboard players set @s[scores={timer2=20}] sneak 3
scoreboard players set @s[scores={timer2=20}] swim 3

scoreboard players reset @s[scores={timer2=60}] timer2

#derretir

execute at @s[tag=!water] run fill ~-1 ~-1 ~1 ~1 ~1 ~-1 air replace snow
execute at @s[tag=!water] run fill ~-1 ~-1 ~1 ~1 ~1 ~-1 air replace snow_block
execute at @s[tag=!water] run fill ~-1 ~-1 ~1 ~1 ~1 ~-1 air replace powder_snow
execute at @s[tag=!water] run fill ~-1 ~-1 ~1 ~1 ~1 ~-1 water replace ice
execute at @s[tag=!water] run fill ~-1 ~-1 ~1 ~1 ~1 ~-1 water replace frosted_ice


#timer bite
execute at @s[scores={timer3=19},tag=water] run function ben:walk
scoreboard players add @s[scores={timer3=1..}] timer3 1 
scoreboard players reset @s[scores={timer3=20..}] timer3 