#time -1

execute at @s[scores={time=2399}] run function animated_java:lodestar/summon
execute at @s[scores={time=2399}] run function ben:idle
execute at @s run tp @e[tag=aj.lodestar.root,sort=nearest,limit=1] ~ ~ ~ ~ 0

#vida
#20 ❤️

#vuelo: puede volar
execute as @s run function ben:fly


scoreboard players add @s[tag=fly] timer4 1

execute at @s[scores={timer4=1},tag=fly] run execute as @e[tag=aj.lodestar.root,sort=nearest,limit=1] run function animated_java:lodestar/animations/run/stop
execute at @s[scores={timer4=1},tag=fly] run execute as @e[tag=aj.lodestar.root,sort=nearest,limit=1] run function animated_java:lodestar/animations/fly/play

scoreboard players reset @s[tag=fly] walk
scoreboard players reset @s[tag=fly] walk_water
scoreboard players reset @s[tag=fly] walk_on_water
scoreboard players reset @s[tag=fly] sneak
scoreboard players reset @s[tag=fly] swim

execute at @s[scores={timer4=1..},tag=!fly] run execute as @e[tag=aj.lodestar.root,sort=nearest,limit=1] run function animated_java:lodestar/animations/fly/stop
execute at @s[scores={timer4=1..},tag=!fly] run execute as @e[tag=aj.lodestar.root,sort=nearest,limit=1] run function animated_java:lodestar/animations/idle/play

scoreboard players set @s[scores={timer4=1..},tag=!fly] walk 3
scoreboard players set @s[scores={timer4=1..},tag=!fly] walk_water 3
scoreboard players set @s[scores={timer4=1..},tag=!fly] walk_on_water 3
scoreboard players set @s[scores={timer4=1..},tag=!fly] sneak 3
scoreboard players set @s[scores={timer4=1..},tag=!fly] swim 3

scoreboard players reset @s[tag=!fly] timer4

#efectos
#resistencia + regeneración + resistencia al fuego + respiracion acuatica
effect give @s resistance 1 2 true
effect give @s fire_resistance 1 0 true
effect give @s[nbt=!{active_effects:[{id:"minecraft:regeneration",amplifier:2b}]}] regeneration 1 2 true
effect give @s water_breathing 1 1 true

#habilidades pasivas

#magnetism: al shiftear atrae items
execute at @s run tp @e[type=item,distance=..5] @s[predicate=ben:sneak]
execute at @s[predicate=ben:sneak,scores={colors=0}] run particle dust 0.408 0.757 0.118 1 ~ ~1 ~ 0.5 0.5 0.5 1 10 normal
execute at @s[predicate=ben:sneak,scores={colors=1}] run particle dust 0.996 0.008 0.133 1 ~ ~1 ~ 0.5 0.5 0.5 1 10 normal
execute at @s[predicate=ben:sneak,scores={colors=2}] run particle dust 1.000 0.420 0.000 1 ~ ~1 ~ 0.5 0.5 0.5 1 10 normal
execute at @s[predicate=ben:sneak,scores={colors=3}] run particle dust 0.984 0.839 0.000 1 ~ ~1 ~ 0.5 0.5 0.5 1 10 normal
execute at @s[predicate=ben:sneak,scores={colors=4}] run particle dust 0.000 0.843 0.537 1 ~ ~1 ~ 0.5 0.5 0.5 1 10 normal
execute at @s[predicate=ben:sneak,scores={colors=5}] run particle dust 0.000 1.000 0.992 1 ~ ~1 ~ 0.5 0.5 0.5 1 10 normal
execute at @s[predicate=ben:sneak,scores={colors=6}] run particle dust 0.616 0.506 0.953 1 ~ ~1 ~ 0.5 0.5 0.5 1 10 normal
execute at @s[predicate=ben:sneak,scores={colors=7}] run particle dust 1.000 0.235 0.867 1 ~ ~1 ~ 0.5 0.5 0.5 1 10 normal

#habilidades activas



#Magnetokinesis: puede mover mobs y jugadores que usen armadura metálica o aliens metálicos usando magnetismo
execute as @s[scores={click=1..},nbt={SelectedItemSlot:0}] unless entity @s[scores={timer=1..}] run function ben:lodestar/magnet


scoreboard players reset @s[scores={timer=1..}] timer4
execute at @s[scores={timer=1}] run execute as @e[tag=aj.lodestar.root,sort=nearest,limit=1] run function animated_java:lodestar/animations/walk/stop
execute at @s[scores={timer=1}] run execute as @e[tag=aj.lodestar.root,sort=nearest,limit=1] run function animated_java:lodestar/animations/idle/stop
execute at @s[scores={timer=1}] run execute as @e[tag=aj.lodestar.root,sort=nearest,limit=1] run function animated_java:lodestar/animations/run/stop

scoreboard players add @s[scores={timer=1..}] timer 1
scoreboard players reset @s[scores={timer=1..}] walk
scoreboard players reset @s[scores={timer=1..}] walk_water
scoreboard players reset @s[scores={timer=1..}] walk_on_water
scoreboard players reset @s[scores={timer=1..}] sneak
scoreboard players reset @s[scores={timer=1..}] swim

execute at @s[scores={timer=..120}] run playsound minecraft:block.beacon.ambient master @a ~ ~ ~ 2 2

execute at @s[scores={timer=8..119}] positioned ~ ~0.2 ~ positioned ^ ^ ^1 run function ben:lodestar/magnetcast/start_raycast

execute at @s[scores={timer=120}] run execute as @e[tag=aj.lodestar.root,sort=nearest,limit=1] run function animated_java:lodestar/animations/blast/stop
execute at @s[scores={timer=120}] run execute as @e[tag=aj.lodestar.root,sort=nearest,limit=1] run function animated_java:lodestar/animations/idle/play

scoreboard players set @s[scores={timer=120}] walk 3
scoreboard players set @s[scores={timer=120}] walk_water 3
scoreboard players set @s[scores={timer=120}] walk_on_water 3
scoreboard players set @s[scores={timer=120}] sneak 3
scoreboard players set @s[scores={timer=120}] swim 3

scoreboard players reset @s[scores={timer=120}] timer

#Force Field: puede crear un escudo de energia que lo protege al shiftear
execute as @s[scores={click=1..},nbt={SelectedItemSlot:1}] unless entity @s[scores={timer2=1..}] run function ben:lodestar/shield

scoreboard players add @s[scores={timer2=1..}] timer2 1

scoreboard players reset @s[scores={timer2=1..40}] walk
scoreboard players reset @s[scores={timer2=1..40}] walk_water
scoreboard players reset @s[scores={timer2=1..40}] walk_on_water
scoreboard players reset @s[scores={timer2=1..40}] sneak
scoreboard players reset @s[scores={timer2=1..40}] swim

execute at @s[scores={timer2=..30}] run playsound minecraft:block.beacon.ambient master @a ~ ~ ~ 2 2
scoreboard players remove @s[scores={timer2=30}] energy 200

effect give @s[scores={timer2=..20}] slowness 1 255 true
effect give @s[scores={timer2=..20}] jump_boost 1 200 true
effect give @s[scores={timer2=..20}] resistance 1 4 true
execute at @s[scores={timer2=..40,colors=0}] positioned ~ ~1 ~ rotated 0 0 run function ben:particles/particles8
execute at @s[scores={timer2=..40,colors=1}] positioned ~ ~1 ~ rotated 0 0 run function ben:particles/particles9
execute at @s[scores={timer2=..40,colors=2}] positioned ~ ~1 ~ rotated 0 0 run function ben:particles/particles10
execute at @s[scores={timer2=..40,colors=3}] positioned ~ ~1 ~ rotated 0 0 run function ben:particles/particles11
execute at @s[scores={timer2=..40,colors=4}] positioned ~ ~1 ~ rotated 0 0 run function ben:particles/particles12
execute at @s[scores={timer2=..40,colors=5}] positioned ~ ~1 ~ rotated 0 0 run function ben:particles/particles13
execute at @s[scores={timer2=..40,colors=6}] positioned ~ ~1 ~ rotated 0 0 run function ben:particles/particles14
execute at @s[scores={timer2=..40,colors=7}] positioned ~ ~1 ~ rotated 0 0 run function ben:particles/particles15

execute at @s[scores={timer2=..40}] positioned ~ ~-1 ~ as @e[dx=1.5,dy=3,dz=0] run data merge entity @s {Motion:[0.5,0.0,0.0]}
execute at @s[scores={timer2=..40}] positioned ~ ~-1 ~ as @e[dx=1.5,dy=3,dz=1.5] run data merge entity @s {Motion:[0.5,0.0,0.5]}
execute at @s[scores={timer2=..40}] positioned ~ ~-1 ~ as @e[dx=0,dy=3,dz=1.5] run data merge entity @s {Motion:[0.0,0.0,0.5]}
execute at @s[scores={timer2=..40}] positioned ~ ~-1 ~ as @e[dx=-1.5,dy=3,dz=1.5] run data merge entity @s {Motion:[-0.5,0.0,0.5]}
execute at @s[scores={timer2=..40}] positioned ~ ~-1 ~ as @e[dx=-1.5,dy=3,dz=0] run data merge entity @s {Motion:[-0.5,0.0,0.0]}
execute at @s[scores={timer2=..40}] positioned ~ ~-1 ~ as @e[dx=-1.5,dy=3,dz=-1.5] run data merge entity @s {Motion:[-0.5,0.0,-0.5]}
execute at @s[scores={timer2=..40}] positioned ~ ~-1 ~ as @e[dx=0,dy=3,dz=-1.5] run data merge entity @s {Motion:[0.0,0.0,-0.5]}
execute at @s[scores={timer2=..40}] positioned ~ ~-1 ~ as @e[dx=1.5,dy=3,dz=-1.5] run data merge entity @s {Motion:[0.5,0.0,-0.5]}


execute at @s[scores={timer2=40}] run execute as @e[tag=aj.lodestar.root,sort=nearest,limit=1] run function animated_java:lodestar/animations/shield/stop
execute at @s[scores={timer2=40}] run execute as @e[tag=aj.lodestar.root,sort=nearest,limit=1] run function animated_java:lodestar/animations/idle/play


scoreboard players set @s[scores={timer2=40}] walk 3
scoreboard players set @s[scores={timer2=40}] walk_water 3
scoreboard players set @s[scores={timer2=40}] walk_on_water 3
scoreboard players set @s[scores={timer2=40}] sneak 3
scoreboard players set @s[scores={timer2=40}] swim 3

scoreboard players reset @s[scores={timer2=60}] timer2

#Metal Extraction: puede separar el hierro de los ores de hierro
execute as @s[scores={click=1..},nbt={SelectedItemSlot:2}] unless entity @s[scores={timer3=1..}] run function ben:lodestar/iron


scoreboard players add @s[scores={timer3=1..}] timer3 1
scoreboard players reset @s[scores={timer3=1..}] walk
scoreboard players reset @s[scores={timer3=1..}] walk_water
scoreboard players reset @s[scores={timer3=1..}] walk_on_water
scoreboard players reset @s[scores={timer3=1..}] sneak
scoreboard players reset @s[scores={timer3=1..}] swim

effect give @s[scores={timer3=..20}] slowness 1 255 true
effect give @s[scores={timer3=..20}] jump_boost 1 200 true
execute at @s[scores={timer3=8..9}] positioned ^ ^ ^1 run function ben:lodestar/ironcast/start_raycast

execute at @s[scores={timer3=10}] run execute as @e[tag=aj.lodestar.root,sort=nearest,limit=1] run function animated_java:lodestar/animations/blast/stop
execute at @s[scores={timer3=10}] run execute as @e[tag=aj.lodestar.root,sort=nearest,limit=1] run function animated_java:lodestar/animations/idle/play

scoreboard players set @s[scores={timer3=10}] walk 3
scoreboard players set @s[scores={timer3=10}] walk_water 3
scoreboard players set @s[scores={timer3=10}] walk_on_water 3
scoreboard players set @s[scores={timer3=10}] sneak 3
scoreboard players set @s[scores={timer3=10}] swim 3

scoreboard players reset @s[scores={timer3=10}] timer3



execute as @s[nbt={SelectedItemSlot:0},scores={colors=0}] run title @s actionbar {"text":"Magnetokinesis","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=0}] run title @s actionbar {"text":"Force Field","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=0}] run title @s actionbar {"text":"Metal Extraction","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:3}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:4}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:5}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:6}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:7}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:8}] run title @s actionbar {"text":""}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=1}] run title @s actionbar {"text":"Magnetokinesis","color":"dark_red","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=1}] run title @s actionbar {"text":"Force Field","color":"dark_red","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=1}] run title @s actionbar {"text":"Metal Extraction","color":"dark_red","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=2}] run title @s actionbar {"text":"Magnetokinesis","color":"gold","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=2}] run title @s actionbar {"text":"Force Field","color":"gold","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=2}] run title @s actionbar {"text":"Metal Extraction","color":"gold","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=3}] run title @s actionbar {"text":"Magnetokinesis","color":"yellow","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=3}] run title @s actionbar {"text":"Force Field","color":"yellow","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=3}] run title @s actionbar {"text":"Metal Extraction","color":"yellow","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=4}] run title @s actionbar {"text":"Magnetokinesis","color":"dark_aqua","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=4}] run title @s actionbar {"text":"Force Field","color":"dark_aqua","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=4}] run title @s actionbar {"text":"Metal Extraction","color":"dark_aqua","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=5}] run title @s actionbar {"text":"Magnetokinesis","color":"blue","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=5}] run title @s actionbar {"text":"Force Field","color":"blue","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=5}] run title @s actionbar {"text":"Metal Extraction","color":"blue","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=6}] run title @s actionbar {"text":"Magnetokinesis","color":"dark_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=6}] run title @s actionbar {"text":"Force Field","color":"dark_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=6}] run title @s actionbar {"text":"Metal Extraction","color":"dark_purple","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=7}] run title @s actionbar {"text":"Magnetokinesis","color":"light_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=7}] run title @s actionbar {"text":"Force Field","color":"light_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=7}] run title @s actionbar {"text":"Metal Extraction","color":"light_purple","bold":true}
