## Run from tf_raycast:start_raycast

# Using dx for precise hitbox detection
# Parameters:
#     Edit not_mob.json in tags/entities to change which entities will not be targetted
#     Change the "positioned" offsets to change projectile size
#       - If > 1 block, just use one dx detection
#execute as @e[tag=!tornadoraycasting,type=!#ben:not_mob,dx=0] positioned ~-0.99 ~-0.99 ~-0.99 if entity @s[dx=0] positioned ~0.99 ~0.99 ~0.99 run function ben:xlr8/tornadocast/collide

scoreboard players add .distance tf_rc 1

execute as @e[tag=!tornadoraycasting,type=!#ben:not_mob,distance=..2] run damage @s 0.0000000001 minecraft:fly_into_wall by @p[scores={alien=4,time=1..}]



# Make raycast visible

# Repeat the raycast if certain conditions are met
# Parameters:
#    (score after "matches") * (accuracy increment) = range
#    The "positioned" value specifies the precision
#    Edit raycast_pass.json in tags/blocks to change which blocks the raycast ignores
#    "rotated" controls arc/curve of raycast path
execute if score .distance tf_rc matches ..100 positioned ^ ^ ^0.1 rotated ~ ~ if block ~ ~ ~ #ben:raycast_pass run function ben:xlr8/tornadocast/raycast

