## Run from tf_raycast:start_raycast

# Using dx for precise hitbox detection
# Parameters:
#     Edit not_mob.json in tags/entities to change which entities will not be targetted
#     Change the "positioned" offsets to change projectile size
#       - If > 1 block, just use one dx detection
#execute as @e[tag=!tornadoraycasting,type=!#ben:not_mob,dx=0] positioned ~-0.99 ~-0.99 ~-0.99 if entity @s[dx=0] positioned ~0.99 ~0.99 ~0.99 run function ben:xlr8/tornadocast/collide

scoreboard players add .distance tf_rc 1

# Make raycast visible

particle dust 0.024 0.024 0.024 1 ~ ~ ~ 0 0.125 0 0 1 force @a
particle dust 0.000 0.569 1.000 1 ~ ~-0.5 ~ 0 0.125 0 0 1 force @a
particle dust 0.024 0.024 0.024 1 ~ ~-0.75 ~ 0 0.125 0 0 1 force @a
particle dust 0.000 0.569 1.000 1 ~ ~-1 ~ 0 0.125 0 0 1 force @a

# Repeat the raycast if certain conditions are met
# Parameters:
#    (score after "matches") * (accuracy increment) = range
#    The "positioned" value specifies the precision
#    Edit raycast_pass.json in tags/blocks to change which blocks the raycast ignores
#    "rotated" controls arc/curve of raycast path
execute if score .distance tf_rc matches ..10 positioned ^ ^ ^-0.1 rotated ~ 0 run function ben:xlr8/trailcast/raycast

