## Run from tf_raycast:start_raycast

# Using dx for precise hitbox detection
# Parameters:
#     Edit not_mob.json in tags/entities to change which entities will not be targetted
#     Change the "positioned" offsets to change projectile size
#       - If > 1 block, just use one dx detection
execute as @e[tag=!sonicraycasting,type=!#ben:not_mob,dx=0] positioned ~-0.99 ~-0.99 ~-0.99 if entity @s[dx=0] positioned ~0.99 ~0.99 ~0.99 run function ben:blitzwolfer/soniccast/collide

scoreboard players add .distance tf_rc 1

# Make raycast visible
execute if score .distance tf_rc matches 0 run function ben:particles/particles6_r
execute if score .distance tf_rc matches 10 run function ben:particles/particles6_r
execute if score .distance tf_rc matches 20 run function ben:particles/particles6_r
execute if score .distance tf_rc matches 30 run function ben:particles/particles6_r
execute if score .distance tf_rc matches 40 run function ben:particles/particles6_r
execute if score .distance tf_rc matches 50 run function ben:particles/particles6_r


execute if entity @e[tag=timer,distance=..1,scores={timer=..190}] run scoreboard players set @e[tag=timer,distance=..5] timer 197

execute if block ^ ^ ^1 #ben:glass run setblock ^ ^ ^1 air destroy

#playsound minecraft:entity.warden.attack_impact master @a ~ ~ ~ 1 0

tp @e[type=arrow,distance=..2] ~ ~-0.5 ~



# Repeat the raycast if certain conditions are met
# Parameters:
#    (score after "matches") * (accuracy increment) = range
#    The "positioned" value specifies the precision
#    Edit raycast_pass.json in tags/blocks to change which blocks the raycast ignores
#    "rotated" controls arc/curve of raycast path
execute if score .distance tf_rc matches ..50 positioned ^ ^ ^0.2 rotated ~ ~ if block ~ ~ ~ #ben:raycast_pass run function ben:blitzwolfer/soniccast/raycast_r
