#time -1

execute at @s[scores={time=2399}] run function animated_java:buzzshock/summon
execute at @s[scores={time=2399}] run function ben:idle
execute at @s[tag=!fly] run tp @e[tag=aj.buzzshock.root,sort=nearest,limit=1,tag=!clone] ~ ~ ~ ~ 0
execute at @s[tag=fly] run tp @e[tag=aj.buzzshock.root,sort=nearest,limit=1,tag=!clone] ~ ~ ~ ~ ~

#vida
#15 ❤️
attribute @s[scores={time=2399}] minecraft:generic.max_health base set 15


execute store result score @s UUID_0 run data get entity @s UUID[0]
execute store result score @s UUID_1 run data get entity @s UUID[1]
execute store result score @s UUID_2 run data get entity @s UUID[2]
execute store result score @s UUID_3 run data get entity @s UUID[3]

#efectos
#salto + velocidad + regeneracion + debilidad
effect give @s jump_boost 1 1 true
effect give @s speed 1 1 true
effect give @s regeneration 1 1 true
effect give @s weakness 1 1 true

#habilidades pasivas
#inmune a la electricidad
tag @s add electric

#tamaño pequeño:puede pasar huecos de 1 bloque
execute at @s if block ~ ~ ~1 air unless block ~ ~1 ~1 air run tp ~ ~ ~0.001
execute at @s if block ~ ~ ~-1 air unless block ~ ~1 ~-1 air run tp ~ ~ ~-0.001
execute at @s if block ~1 ~ ~ air unless block ~1 ~1 ~ air run tp ~0.001 ~ ~
execute at @s if block ~-1 ~ ~ air unless block ~-1 ~1 ~ air run tp ~-0.001 ~ ~
execute at @s if block ~ ~ ~ air unless block ~ ~1 ~ air unless block ~ ~-1 ~ air run attribute @s minecraft:generic.movement_speed base set 0.3
execute at @s if block ~ ~1 ~ air if block ~ ~ ~ air run attribute @s minecraft:generic.movement_speed base set 0.1

#vuelo: puede volar
function ben:fly

scoreboard players add @s[tag=fly] timer3 1

execute at @s[scores={timer3=1},tag=fly] run execute as @e[tag=aj.buzzshock.root,sort=nearest,limit=1] run function animated_java:buzzshock/animations/run/stop
execute at @s[scores={timer3=1},tag=fly] run execute as @e[tag=aj.buzzshock.root,sort=nearest,limit=1] run function animated_java:buzzshock/animations/fly/play

scoreboard players reset @s[tag=fly] walk
scoreboard players reset @s[tag=fly] walk_water
scoreboard players reset @s[tag=fly] walk_on_water
scoreboard players reset @s[tag=fly] sneak
scoreboard players reset @s[tag=fly] swim

execute at @s[scores={timer3=1..},tag=!fly] run execute as @e[tag=aj.buzzshock.root,sort=nearest,limit=1] run function animated_java:buzzshock/animations/fly/stop
execute at @s[scores={timer3=1..},tag=!fly] run execute as @e[tag=aj.buzzshock.root,sort=nearest,limit=1] run function animated_java:buzzshock/animations/idle/play

scoreboard players set @s[scores={timer3=1..},tag=!fly] walk 3
scoreboard players set @s[scores={timer3=1..},tag=!fly] walk_water 3
scoreboard players set @s[scores={timer3=1..},tag=!fly] walk_on_water 3
scoreboard players set @s[scores={timer3=1..},tag=!fly] sneak 3
scoreboard players set @s[scores={timer3=1..},tag=!fly] swim 3

scoreboard players reset @s[tag=!fly] timer3


execute at @s[tag=fly,scores={colors=0}] run particle dust 0.408 0.757 0.118 1 ~ ~ ~ 0.2 0.2 0.2 1 10 normal
execute at @s[tag=fly,scores={colors=1}] run particle dust 0.996 0.008 0.133 1 ~ ~ ~ 0.2 0.2 0.2 1 10 normal
execute at @s[tag=fly,scores={colors=2}] run particle dust 1.000 0.420 0.000 1 ~ ~ ~ 0.2 0.2 0.2 1 10 normal
execute at @s[tag=fly,scores={colors=3}] run particle dust 0.984 0.839 0.000 1 ~ ~ ~ 0.2 0.2 0.2 1 10 normal
execute at @s[tag=fly,scores={colors=4}] run particle dust 0.000 0.843 0.537 1 ~ ~ ~ 0.2 0.2 0.2 1 10 normal
execute at @s[tag=fly,scores={colors=5}] run particle dust 0.000 1.000 0.992 1 ~ ~ ~ 0.2 0.2 0.2 1 10 normal
execute at @s[tag=fly,scores={colors=6}] run particle dust 0.616 0.506 0.953 1 ~ ~ ~ 0.2 0.2 0.2 1 10 normal
execute at @s[tag=fly,scores={colors=7}] run particle dust 1.000 0.235 0.867 1 ~ ~ ~ 0.2 0.2 0.2 1 10 normal

#habilidades activas
execute as @s[nbt={SelectedItemSlot:0},scores={colors=0}] run title @s actionbar {"text":"Electricity Beam","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=0}] run title @s actionbar {"text":"Electroportation","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:2}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:3}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:4}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:5}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:6}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:7}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:8}] run title @s actionbar {"text":""}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=1}] run title @s actionbar {"text":"Electricity Beam","color":"dark_red","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=1}] run title @s actionbar {"text":"Electroportation","color":"dark_red","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=2}] run title @s actionbar {"text":"Electricity Beam","color":"gold","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=2}] run title @s actionbar {"text":"Electroportation","color":"gold","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=3}] run title @s actionbar {"text":"Electricity Beam","color":"yellow","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=3}] run title @s actionbar {"text":"Electroportation","color":"yellow","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=4}] run title @s actionbar {"text":"Electricity Beam","color":"dark_aqua","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=4}] run title @s actionbar {"text":"Electroportation","color":"dark_aqua","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=5}] run title @s actionbar {"text":"Electricity Beam","color":"blue","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=5}] run title @s actionbar {"text":"Electroportation","color":"blue","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=6}] run title @s actionbar {"text":"Electricity Beam","color":"dark_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=6}] run title @s actionbar {"text":"Electroportation","color":"dark_purple","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=7}] run title @s actionbar {"text":"Electricity Beam","color":"light_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=7}] run title @s actionbar {"text":"Electroportation","color":"light_purple","bold":true}

#clones: puede clonarse
execute at @s[predicate=ben:sneak] if block ~ ~-1 ~ minecraft:redstone_block unless entity @s[scores={timer5=10..}] unless entity @s[scores={timer=1..}] run function ben:buzzshock/clone

#rayo de electricidad: dispara un rayo que daña y ralentiza a los mobs

execute as @s[scores={click=1..},nbt={SelectedItemSlot:0}] unless entity @s[scores={timer4=1..}] run function ben:buzzshock/electric

effect give @s[scores={timer4=1}] slowness 1 255 true
effect give @s[scores={timer4=1}] jump_boost 1 200 true

execute at @s[scores={timer4=1}] as @e[type=wolf,tag=clone,tag=buzzshock,limit=2] at @s if score @s UUID_0 = @p[scores={alien=15,time=1..}] UUID_0 if score @s UUID_1 = @p[scores={alien=15,time=1..}] UUID_1 if score @s UUID_2 = @p[scores={alien=15,time=1..}] UUID_2 if score @s UUID_3 = @p[scores={alien=15,time=1..}] UUID_3 run function ben:buzzshock/electric_clone

scoreboard players add @s[scores={timer4=1..}] timer4 1
scoreboard players add @e[type=wolf,tag=clone,tag=buzzshock,scores={timer6=1..}] timer6 1

scoreboard players reset @s[scores={timer4=1..20}] walk
scoreboard players reset @s[scores={timer4=1..20}] walk_water
scoreboard players reset @s[scores={timer4=1..20}] walk_on_water
scoreboard players reset @s[scores={timer4=1..20}] sneak
scoreboard players reset @s[scores={timer4=1..20}] swim


execute at @s[scores={timer4=8..20,colors=0}] positioned ~ ~-0.75 ~ run function ben:ofl/start
execute at @s[scores={timer4=8..20,colors=1}] positioned ~ ~-0.75 ~ run function ben:ofl_r/start
execute at @s[scores={timer4=8..20,colors=2}] positioned ~ ~-0.75 ~ run function ben:ofl_o/start
execute at @s[scores={timer4=8..20,colors=3}] positioned ~ ~-0.75 ~ run function ben:ofl_y/start
execute at @s[scores={timer4=8..20,colors=4}] positioned ~ ~-0.75 ~ run function ben:ofl_g/start
execute at @s[scores={timer4=8..20,colors=5}] positioned ~ ~-0.75 ~ run function ben:ofl_b/start
execute at @s[scores={timer4=8..20,colors=6}] positioned ~ ~-0.75 ~ run function ben:ofl_v/start
execute at @s[scores={timer4=8..20,colors=7}] positioned ~ ~-0.75 ~ run function ben:ofl_p/start

execute as @e[type=wolf,tag=clone,tag=buzzshock,scores={timer6=8..20,colors=0}] at @s positioned ~ ~-0.75 ~ run function ben:ofl/start
execute as @e[type=wolf,tag=clone,tag=buzzshock,scores={timer6=8..20,colors=1}] at @s positioned ~ ~-0.75 ~ run function ben:ofl_r/start
execute as @e[type=wolf,tag=clone,tag=buzzshock,scores={timer6=8..20,colors=2}] at @s positioned ~ ~-0.75 ~ run function ben:ofl_o/start
execute as @e[type=wolf,tag=clone,tag=buzzshock,scores={timer6=8..20,colors=3}] at @s positioned ~ ~-0.75 ~ run function ben:ofl_y/start
execute as @e[type=wolf,tag=clone,tag=buzzshock,scores={timer6=8..20,colors=4}] at @s positioned ~ ~-0.75 ~ run function ben:ofl_g/start
execute as @e[type=wolf,tag=clone,tag=buzzshock,scores={timer6=8..20,colors=5}] at @s positioned ~ ~-0.75 ~ run function ben:ofl_b/start
execute as @e[type=wolf,tag=clone,tag=buzzshock,scores={timer6=8..20,colors=6}] at @s positioned ~ ~-0.75 ~ run function ben:ofl_v/start
execute as @e[type=wolf,tag=clone,tag=buzzshock,scores={timer6=8..20,colors=7}] at @s positioned ~ ~-0.75 ~ run function ben:ofl_p/start


execute at @s[scores={timer4=20}] run execute as @e[tag=aj.buzzshock.root,sort=nearest,limit=1] run function animated_java:buzzshock/animations/shot/stop
execute at @s[scores={timer4=20}] run execute as @e[tag=aj.buzzshock.root,sort=nearest,limit=1] run function animated_java:buzzshock/animations/idle/play

scoreboard players set @s[scores={timer4=20}] walk 3
scoreboard players set @s[scores={timer4=20}] walk_water 3
scoreboard players set @s[scores={timer4=20}] walk_on_water 3
scoreboard players set @s[scores={timer4=20}] sneak 3
scoreboard players set @s[scores={timer4=20}] swim 3

scoreboard players reset @s[scores={timer4=100}] timer4


execute at @e[type=wolf,tag=clone,tag=buzzshock,scores={timer6=20}] run execute as @e[tag=aj.buzzshock.root,sort=nearest,limit=1] run function animated_java:buzzshock/animations/shot/stop
execute at @e[type=wolf,tag=clone,tag=buzzshock,scores={timer6=20}] run execute as @e[tag=aj.buzzshock.root,sort=nearest,limit=1] run function animated_java:buzzshock/animations/idle/play


#Electroportation: puede convertirse en electricidad para atravesar vallas

execute as @s[scores={click=1..},nbt={SelectedItemSlot:1}] unless entity @s[scores={timer6=1..}] run scoreboard players add @s timer6 1

scoreboard players reset @s[scores={timer6=1}] click

execute as @s[scores={click=1..},nbt={SelectedItemSlot:1}] if entity @s[scores={timer6=1..}] run scoreboard players set @s timer6 148


#clone


execute as @e[type=wolf,tag=clone,tag=buzzshock] run data merge entity @s {InLove:0}
effect give @e[type=wolf,tag=clone,tag=buzzshock] invisibility 1 1 true

effect give @e[type=wolf,tag=clone,tag=buzzshock] jump_boost 1 1 true
effect give @e[type=wolf,tag=clone,tag=buzzshock] speed 1 1 true
effect give @e[type=wolf,tag=clone,tag=buzzshock] regeneration 1 1 true
effect give @e[type=wolf,tag=clone,tag=buzzshock] weakness 1 1 true


execute at @e[type=wolf,tag=clone,tag=buzzshock] as @e[tag=aj.buzzshock.root,tag=clone] if score @s timer2 = @e[type=wolf,tag=clone,tag=buzzshock,limit=1,sort=nearest] timer2 run tp @s ~ ~ ~ ~ 0


scoreboard players remove @s timer 1

execute as @e[type=wolf,tag=clone,tag=buzzshock] unless entity @s[nbt={Motion:[0.0,0.0,0.0]}] run scoreboard players add @s timer3 1

execute at @e[type=wolf,tag=clone,tag=buzzshock,scores={timer3=1}] unless entity @e[limit=1,sort=nearest,type=wolf,tag=clone,tag=buzzshock,scores={timer6=1..}] as @e[tag=aj.buzzshock.root,tag=clone,sort=nearest,limit=1] run function animated_java:buzzshock/animations/walk/play

execute as @e[type=wolf,tag=clone,tag=buzzshock,nbt={Motion:[0.0,0.0,0.0]}] run scoreboard players reset @s timer3
execute at @e[type=wolf,tag=clone,tag=buzzshock,scores={timer4=1}] as @e[tag=aj.buzzshock.root,tag=clone,sort=nearest,limit=1] run function animated_java:buzzshock/animations/walk/stop


execute as @e[type=wolf,tag=clone,tag=buzzshock,nbt={Motion:[0.0,0.0,0.0]}] run scoreboard players add @s timer4 1

execute at @e[type=wolf,tag=clone,tag=buzzshock,scores={timer4=1}] unless entity @e[limit=1,sort=nearest,type=wolf,tag=clone,tag=buzzshock,scores={timer6=1..}] as @e[tag=aj.buzzshock.root,tag=clone,sort=nearest,limit=1] run function animated_java:buzzshock/animations/idle/play

execute as @e[type=wolf,tag=clone,tag=buzzshock] unless entity @s[nbt={Motion:[0.0,0.0,0.0]}] run scoreboard players reset @s timer4
execute at @e[type=wolf,tag=clone,tag=buzzshock,scores={timer3=1}] as @e[tag=aj.buzzshock.root,tag=clone,sort=nearest,limit=1] run function animated_java:buzzshock/animations/idle/stop

#timer Electroportation

execute at @s[scores={timer6=1..},y_rotation=-45..45] if block ~ ~ ~0.1 #minecraft:fences run tp ~ ~ ~0.001
execute at @s[scores={timer6=1..},y_rotation=45..135] if block ~-0.1 ~ ~ #minecraft:fences run tp ~-0.001 ~ ~
execute at @s[scores={timer6=1..},y_rotation=135..-135] if block ~ ~ ~-0.1 #minecraft:fences run tp ~ ~ ~-0.001
execute at @s[scores={timer6=1..},y_rotation=-135..-45] if block ~0.1 ~ ~ #minecraft:fences run tp ~0.001 ~ ~

execute at @s[scores={timer6=1..},y_rotation=-45..45] if block ~ ~ ~0.01 iron_bars run tp ~ ~ ~0.001
execute at @s[scores={timer6=1..},y_rotation=45..135] if block ~-0.01 ~ ~ iron_bars run tp ~-0.001 ~ ~
execute at @s[scores={timer6=1..},y_rotation=135..-135] if block ~ ~ ~-0.01 iron_bars run tp ~ ~ ~-0.001
execute at @s[scores={timer6=1..},y_rotation=-135..-45] if block ~0.01 ~ ~ iron_bars run tp ~0.001 ~ ~



effect give @s[scores={timer6=1..}] minecraft:speed 1 2 true
effect give @s[scores={timer6=1..}] jump_boost 1 4 true
effect give @s[scores={timer6=1..}] dolphins_grace 1 4 true

effect clear @s[scores={timer6=150}] minecraft:speed
effect clear @s[scores={timer6=150}] jump_boost
effect clear @s[scores={timer6=150}] dolphins_grace

execute at @s[scores={colors=0,timer6=1..}] run particle dust 0.408 0.757 0.118 1 ~ ~0.5 ~ 0.2 0.2 0.2 1 10 normal
execute at @s[scores={colors=1,timer6=1..}] run particle dust 0.996 0.008 0.133 1 ~ ~0.5 ~ 0.2 0.2 0.2 1 10 normal
execute at @s[scores={colors=2,timer6=1..}] run particle dust 1.000 0.420 0.000 1 ~ ~0.5 ~ 0.2 0.2 0.2 1 10 normal
execute at @s[scores={colors=3,timer6=1..}] run particle dust 0.984 0.839 0.000 1 ~ ~0.5 ~ 0.2 0.2 0.2 1 10 normal
execute at @s[scores={colors=4,timer6=1..}] run particle dust 0.000 0.843 0.537 1 ~ ~0.5 ~ 0.2 0.2 0.2 1 10 normal
execute at @s[scores={colors=5,timer6=1..}] run particle dust 0.000 1.000 0.992 1 ~ ~0.5 ~ 0.2 0.2 0.2 1 10 normal
execute at @s[scores={colors=6,timer6=1..}] run particle dust 0.616 0.506 0.953 1 ~ ~0.5 ~ 0.2 0.2 0.2 1 10 normal
execute at @s[scores={colors=7,timer6=1..}] run particle dust 1.000 0.235 0.867 1 ~ ~0.5 ~ 0.2 0.2 0.2 1 10 normal



scoreboard players reset @s[scores={timer6=150..}] timer6
scoreboard players add @s[scores={timer6=1..}] timer6 1
