#time -1

#summon
execute at @s[scores={time=2399}] run function animated_java:cannonbolt/summon
execute at @s[scores={time=2399}] run function ben:idle

#tp
execute at @s[predicate=!ben:sprint] run tp @e[tag=aj.cannonbolt.root,sort=nearest,limit=1] ~ ~ ~ ~ 0
execute at @s[predicate=ben:sprint] run tp @e[tag=aj.cannonbolt_ball.root,sort=nearest,limit=1] ~ ~ ~ ~ 0
execute at @s[predicate=ben:sneak] run tp @e[tag=aj.cannonbolt_ball.root,sort=nearest,limit=1] ~ ~ ~ ~ 0
execute at @s[tag=player_meteor] run tp @e[tag=aj.cannonbolt_ball.root,sort=nearest,limit=1] ~ ~ ~ ~ 0


#sprint
execute at @s[predicate=ben:sprint] as @e[tag=aj.cannonbolt.root,sort=nearest,limit=1] unless entity @e[tag=aj.cannonbolt_ball.root,sort=nearest,limit=1,distance=..5] run function ben:cannonbolt/ball

#stop sprint
execute at @s[predicate=!ben:sprint,predicate=!ben:sneak,tag=!player_meteor] as @e[tag=aj.cannonbolt_ball.root,sort=nearest,limit=1] unless entity @e[tag=aj.cannonbolt.root,sort=nearest,limit=1,distance=..5] run function ben:cannonbolt/normal

#sneak
execute at @s[predicate=ben:sneak] if entity @s[predicate=!ben:sprint] as @e[tag=aj.cannonbolt.root,sort=nearest,limit=1] run function ben:cannonbolt/ball


#vida
#30 ❤️
attribute @s[scores={time=2399}] minecraft:generic.max_health base set 30
effect give @s[scores={time=2399}] minecraft:regeneration 3 3 true

#efectos
#lentitud (en forma bípeda)
effect give @s[predicate=!ben:sprint] slowness 1 0 true

#fuerza + resistencia (aumenta en forma bola) + salto (en forma bola) + velocidad (en forma bola) + resistencia al fuego
effect give @s strength 1 0 true
effect give @s[predicate=!ben:sprint] resistance 1 0 true
effect give @s[predicate=ben:sprint] resistance 1 1 true
effect give @s[predicate=ben:sprint] jump_boost 1 1 true
effect give @s[predicate=ben:sprint] speed 1 2 true
effect give @s fire_resistance 1 0 true


#habilidades pasivas
#impulso (en forma bola): al correr aumenta aún más su velocidad

#bola de demolición (bajo los efectos de impulso): daña a todos los mobs con el que entra en contacto 
execute at @s[predicate=ben:sprint] run execute as @e[distance=0.5..1.5,type=!item] run damage @s 5 minecraft:fly_into_wall by @p[scores={alien=3,time=1..}]


#habilidades activas
#forma bola: al shiftear cambia entre su forma bola y forma bípeda

effect give @s[predicate=ben:sneak,predicate=!ben:sprint] resistance 1 2 true

#impacto de meteoro: empuja y daña a todos los mobs a su alrededor, además destruye el terreno

execute as @s[scores={click=1..},nbt={SelectedItemSlot:0}] unless entity @s[scores={timer=1..}] run function ben:cannonbolt/meteor


execute as @s[nbt={SelectedItemSlot:0},scores={colors=0}] run title @s actionbar {"text":"Meteor","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:1}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:2}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:3}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:4}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:5}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:6}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:7}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:8}] run title @s actionbar {"text":""}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=1}] run title @s actionbar {"text":"Meteor","color":"dark_red","bold":true}
execute as @s[nbt={SelectedItemSlot:0},scores={colors=2}] run title @s actionbar {"text":"Meteor","color":"gold","bold":true}
execute as @s[nbt={SelectedItemSlot:0},scores={colors=3}] run title @s actionbar {"text":"Meteor","color":"yellow","bold":true}
execute as @s[nbt={SelectedItemSlot:0},scores={colors=4}] run title @s actionbar {"text":"Meteor","color":"dark_aqua","bold":true}
execute as @s[nbt={SelectedItemSlot:0},scores={colors=5}] run title @s actionbar {"text":"Meteor","color":"blue","bold":true}
execute as @s[nbt={SelectedItemSlot:0},scores={colors=6}] run title @s actionbar {"text":"Meteor","color":"dark_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:0},scores={colors=7}] run title @s actionbar {"text":"Meteor","color":"light_purple","bold":true}

ride @s[scores={timer=1..}] mount @e[tag=meteor,limit=1,sort=nearest]
effect give @s[scores={timer=1}] resistance 2 5 true
execute at @s[scores={timer=5..}] run execute as @e[tag=meteor,nbt={OnGround:1b},sort=nearest,limit=1] run function ben:cannonbolt/impact


#timer meteor
scoreboard players add @s[scores={timer=1..}] timer 1 
scoreboard players reset @s[scores={timer=120..}] timer 

