#time -1

execute at @s[scores={time=2399}] run function animated_java:fourarms/summon
execute at @s run tp @e[tag=aj.fourarms.root,sort=nearest,limit=1] ~ ~ ~ ~ 0
execute at @s[scores={time=2399}] run function ben:idle

#vida
#30 ❤️
attribute @s[scores={time=2399}] minecraft:generic.max_health base set 30
effect give @s[scores={time=2399}] minecraft:regeneration 3 3 true

execute at @s unless block ~ ~2 ~ #ben:raycast_pass run scoreboard players add @s timer3 1
execute at @s if block ~ ~2 ~ #ben:raycast_pass run scoreboard players reset @s timer3

damage @s[scores={timer3=10}] 1 minecraft:in_wall

scoreboard players reset @s[scores={timer3=10}] timer3


#efectos
#lentitud
effect give @s slowness 1 0 true

#fuerza + resistencia +salto + haste
effect give @s strength 1 3 true
effect give @s resistance 1 1 true
effect give @s jump_boost 1 1 true
effect give @s haste 1 0 true

#habilidades activas
#aplauso sonico: ataque a distancia que daña y empuja a los mobs
execute as @s[scores={click=1..},nbt={SelectedItemSlot:0}] unless entity @s[scores={timer2=1..}] run function ben:fourarms/clap

#onda expansiva: empuja y daña a todos los mobs a su alrededor, además destruye el terreno
execute as @s[scores={click=1..},nbt={SelectedItemSlot:1},nbt={OnGround:1b}] unless entity @s[scores={timer=1..}] run function ben:fourarms/shock

#supersalto: el jugador salta a una gran altura
effect give @s[predicate=ben:sneak] jump_boost 1 5 true

execute as @s[nbt={SelectedItemSlot:0},scores={colors=0}] run title @s actionbar {"text":"Sonic Clap","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=0}] run title @s actionbar {"text":"Shock Wave","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:2}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:3}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:4}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:5}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:6}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:7}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:8}] run title @s actionbar {"text":""}


execute as @s[nbt={SelectedItemSlot:0},scores={colors=1}] run title @s actionbar {"text":"Sonic Clap","color":"dark_red","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=1}] run title @s actionbar {"text":"Shock Wave","color":"dark_red","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=2}] run title @s actionbar {"text":"Sonic Clap","color":"gold","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=2}] run title @s actionbar {"text":"Shock Wave","color":"gold","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=3}] run title @s actionbar {"text":"Sonic Clap","color":"yellow","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=3}] run title @s actionbar {"text":"Shock Wave","color":"yellow","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=4}] run title @s actionbar {"text":"Sonic Clap","color":"dark_aqua","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=4}] run title @s actionbar {"text":"Shock Wave","color":"dark_aqua","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=5}] run title @s actionbar {"text":"Sonic Clap","color":"blue","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=5}] run title @s actionbar {"text":"Shock Wave","color":"blue","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=6}] run title @s actionbar {"text":"Sonic Clap","color":"dark_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=6}] run title @s actionbar {"text":"Shock Wave","color":"dark_purple","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=7}] run title @s actionbar {"text":"Sonic Clap","color":"light_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=7}] run title @s actionbar {"text":"Shock Wave","color":"light_purple","bold":true}


#timer Shock Wave

effect give @s[scores={timer=1}] slowness 1 255 true
effect give @s[scores={timer=1}] jump_boost 1 200 true

effect give @s[scores={timer=1}] resistance 1 5 true
scoreboard players add @s[scores={timer=1..}] timer 1

scoreboard players reset @s[scores={timer=1..15}] walk
scoreboard players reset @s[scores={timer=1..15}] walk_water
scoreboard players reset @s[scores={timer=1..15}] walk_on_water
scoreboard players reset @s[scores={timer=1..15}] sneak
scoreboard players reset @s[scores={timer=1..15}] swim

execute at @s[scores={timer=6}] run summon tnt ~ ~1 ~

execute at @s[scores={timer=15}] run execute as @e[tag=aj.fourarms.root,sort=nearest,limit=1] run function animated_java:fourarms/animations/attack2/stop
execute at @s[scores={timer=15}] run execute as @e[tag=aj.fourarms.root,sort=nearest,limit=1] run function animated_java:fourarms/animations/idle/play

scoreboard players set @s[scores={timer=15}] walk 3
scoreboard players set @s[scores={timer=15}] walk_water 3
scoreboard players set @s[scores={timer=15}] walk_on_water 3
scoreboard players set @s[scores={timer=15}] sneak 3
scoreboard players set @s[scores={timer=15}] swim 3

scoreboard players reset @s[scores={timer=60}] timer


#timer clap

effect give @s[scores={timer2=1}] slowness 1 255 true
effect give @s[scores={timer2=1}] jump_boost 1 200 true

scoreboard players add @s[scores={timer2=1..}] timer2 1 

execute at @s[scores={timer2=8}] run function ben:fourarms/clapcast/start_raycast

effect clear @s[scores={timer2=11}] slowness
effect clear @s[scores={timer2=11}] jump_boost

scoreboard players reset @s[scores={timer2=11..}] timer2

scoreboard players reset @s[scores={timer2=1..8}] walk
scoreboard players reset @s[scores={timer2=1..8}] walk_water
scoreboard players reset @s[scores={timer2=1..8}] walk_on_water
scoreboard players reset @s[scores={timer2=1..8}] sneak
scoreboard players reset @s[scores={timer2=1..8}] swim

execute at @s[scores={timer2=10}] run execute as @e[tag=aj.fourarms.root,sort=nearest,limit=1] run function animated_java:fourarms/animations/clap/stop
execute at @s[scores={timer2=10}] run execute as @e[tag=aj.fourarms.root,sort=nearest,limit=1] run function animated_java:fourarms/animations/idle/play

scoreboard players set @s[scores={timer2=8}] walk 3
scoreboard players set @s[scores={timer2=8}] walk_water 3
scoreboard players set @s[scores={timer2=8}] walk_on_water 3
scoreboard players set @s[scores={timer2=8}] sneak 3
scoreboard players set @s[scores={timer2=8}] swim 3
