## Run from tf_raycast:start_raycast

# Using dx for precise hitbox detection
# Parameters:
#     Edit not_mob.json in tags/entities to change which entities will not be targetted
#     Change the "positioned" offsets to change projectile size
#       - If > 1 block, just use one dx detection

scoreboard players add .distance tf_rc 1

# Make raycast visible

# Repeat the raycast if certain conditions are met
# Parameters:
#    (score after "matches") * (accuracy increment) = range
#    The "positioned" value specifies the precision
#    Edit raycast_pass.json in tags/blocks to change which blocks the raycast ignores
#    "rotated" controls arc/curve of raycast path
execute if score .distance tf_rc matches ..50 positioned ^ ^ ^0.1 rotated ~ ~ if block ~ ~ ~ #ben:raycast_pass run function ben:lodestar/magnetcast/raycast
execute if entity @s[scores={colors=0}] if score .distance tf_rc matches ..50 positioned ^ ^ ^0.1 rotated ~ ~ unless block ~ ~ ~ #ben:raycast_pass run function ben:lodestar/magnetcast/collide
execute if entity @s[scores={colors=1}] if score .distance tf_rc matches ..50 positioned ^ ^ ^0.1 rotated ~ ~ unless block ~ ~ ~ #ben:raycast_pass run function ben:lodestar/magnetcast/collide_r
execute if entity @s[scores={colors=2}] if score .distance tf_rc matches ..50 positioned ^ ^ ^0.1 rotated ~ ~ unless block ~ ~ ~ #ben:raycast_pass run function ben:lodestar/magnetcast/collide_o
execute if entity @s[scores={colors=3}] if score .distance tf_rc matches ..50 positioned ^ ^ ^0.1 rotated ~ ~ unless block ~ ~ ~ #ben:raycast_pass run function ben:lodestar/magnetcast/collide_y
execute if entity @s[scores={colors=4}] if score .distance tf_rc matches ..50 positioned ^ ^ ^0.1 rotated ~ ~ unless block ~ ~ ~ #ben:raycast_pass run function ben:lodestar/magnetcast/collide_g
execute if entity @s[scores={colors=5}] if score .distance tf_rc matches ..50 positioned ^ ^ ^0.1 rotated ~ ~ unless block ~ ~ ~ #ben:raycast_pass run function ben:lodestar/magnetcast/collide_b
execute if entity @s[scores={colors=6}] if score .distance tf_rc matches ..50 positioned ^ ^ ^0.1 rotated ~ ~ unless block ~ ~ ~ #ben:raycast_pass run function ben:lodestar/magnetcast/collide_v
execute if entity @s[scores={colors=7}] if score .distance tf_rc matches ..50 positioned ^ ^ ^0.1 rotated ~ ~ unless block ~ ~ ~ #ben:raycast_pass run function ben:lodestar/magnetcast/collide_p

execute if entity @s[scores={colors=0}] if score .distance tf_rc matches 51 run function ben:lodestar/magnetcast/collide
execute if entity @s[scores={colors=1}] if score .distance tf_rc matches 51 run function ben:lodestar/magnetcast/collide_r
execute if entity @s[scores={colors=2}] if score .distance tf_rc matches 51 run function ben:lodestar/magnetcast/collide_o
execute if entity @s[scores={colors=3}] if score .distance tf_rc matches 51 run function ben:lodestar/magnetcast/collide_y
execute if entity @s[scores={colors=4}] if score .distance tf_rc matches 51 run function ben:lodestar/magnetcast/collide_g
execute if entity @s[scores={colors=5}] if score .distance tf_rc matches 51 run function ben:lodestar/magnetcast/collide_b
execute if entity @s[scores={colors=6}] if score .distance tf_rc matches 51 run function ben:lodestar/magnetcast/collide_v
execute if entity @s[scores={colors=7}] if score .distance tf_rc matches 51 run function ben:lodestar/magnetcast/collide_p