#time -1

execute at @s[scores={time=2399}] run function animated_java:nanomech/summon
execute at @s[scores={time=2399}] run function ben:idle
execute at @s run tp @e[tag=aj.nanomech.root,sort=nearest,limit=1] ~ ~ ~ ~ 0

#vida
#5 ❤️
attribute @s[scores={time=2399}] minecraft:generic.max_health base set 5

#efectos
#caída lenta + lentitud + weakness
effect give @s slowness 1 0 true
effect give @s weakness 2 0 true
execute as @s at @s if block ~ ~-1 ~ air run effect give @s slow_falling 1 0 true


#Small Size: puede pasar huecos de 1 bloque y vallas
execute at @s if block ~ ~ ~1 air unless block ~ ~1 ~1 air run tp ~ ~ ~0.001
execute at @s if block ~ ~ ~-1 air unless block ~ ~1 ~-1 air run tp ~ ~ ~-0.001
execute at @s if block ~1 ~ ~ air unless block ~1 ~1 ~ air run tp ~0.001 ~ ~
execute at @s if block ~-1 ~ ~ air unless block ~-1 ~1 ~ air run tp ~-0.001 ~ ~
execute at @s if block ~ ~ ~ air unless block ~ ~1 ~ air unless block ~ ~-1 ~ air run attribute @s minecraft:generic.movement_speed base set 0.3
execute at @s if block ~ ~1 ~ air if block ~ ~ ~ air run attribute @s minecraft:generic.movement_speed base set 0.1


execute at @s if block ~ ~ ~1 air unless block ~ ~1 ~1 air run tp ~ ~ ~0.001
execute at @s if block ~ ~ ~-1 air unless block ~ ~1 ~-1 air run tp ~ ~ ~-0.001
execute at @s if block ~1 ~ ~ air unless block ~1 ~1 ~ air run tp ~0.001 ~ ~
execute at @s if block ~-1 ~ ~ air unless block ~-1 ~1 ~ air run tp ~-0.001 ~ ~
execute at @s if block ~ ~ ~ air unless block ~ ~1 ~ air unless block ~ ~-1 ~ air run attribute @s minecraft:generic.movement_speed base set 0.3
execute at @s if block ~ ~1 ~ air if block ~ ~ ~ air run attribute @s minecraft:generic.movement_speed base set 0.1

execute at @s[y_rotation=-45..45] if block ~ ~ ~0.1 #minecraft:fences run tp ~ ~ ~0.001
execute at @s[y_rotation=45..135] if block ~-0.1 ~ ~ #minecraft:fences run tp ~-0.001 ~ ~
execute at @s[y_rotation=135..-135] if block ~ ~ ~-0.1 #minecraft:fences run tp ~ ~ ~-0.001
execute at @s[y_rotation=-135..-45] if block ~0.1 ~ ~ #minecraft:fences run tp ~0.001 ~ ~

execute at @s[y_rotation=-45..45] if block ~ ~ ~0.01 iron_bars run tp ~ ~ ~0.001
execute at @s[y_rotation=45..135] if block ~-0.01 ~ ~ iron_bars run tp ~-0.001 ~ ~
execute at @s[y_rotation=135..-135] if block ~ ~ ~-0.01 iron_bars run tp ~ ~ ~-0.001
execute at @s[y_rotation=-135..-45] if block ~0.01 ~ ~ iron_bars run tp ~0.001 ~ ~

#habilidades activas
#vuelo: puede volar
function ben:fly

scoreboard players add @s[tag=fly] timer 1

execute as @s run execute at @s[scores={timer=1},tag=fly] run execute as @e[tag=aj.nanomech.root,sort=nearest,limit=1] run function animated_java:nanomech/animations/run/stop
execute as @s run execute at @s[scores={timer=1},tag=fly] run execute as @e[tag=aj.nanomech.root,sort=nearest,limit=1] run function animated_java:nanomech/animations/walk/play

scoreboard players reset @s[tag=fly] walk
scoreboard players reset @s[tag=fly] walk_water
scoreboard players reset @s[tag=fly] walk_on_water
scoreboard players reset @s[tag=fly] sneak
scoreboard players reset @s[tag=fly] swim

execute as @s run execute at @s[scores={timer=1..},tag=!fly] run execute as @e[tag=aj.nanomech.root,sort=nearest,limit=1] run function animated_java:nanomech/animations/walk/stop
execute as @s run execute at @s[scores={timer=1..},tag=!fly] run execute as @e[tag=aj.nanomech.root,sort=nearest,limit=1] run function animated_java:nanomech/animations/idle/play

scoreboard players set @s[scores={timer=1..},tag=!fly] walk 3
scoreboard players set @s[scores={timer=1..},tag=!fly] walk_water 3
scoreboard players set @s[scores={timer=1..},tag=!fly] walk_on_water 3
scoreboard players set @s[scores={timer=1..},tag=!fly] sneak 3
scoreboard players set @s[scores={timer=1..},tag=!fly] swim 3

scoreboard players reset @s[tag=!fly] timer


execute at @s[tag=fly,scores={colors=0}] run particle dust 0.408 0.757 0.118 1 ~ ~0.2 ~ 0.2 0.2 0.2 1 5 normal
execute at @s[tag=fly,scores={colors=1}] run particle dust 0.996 0.008 0.133 1 ~ ~0.2 ~ 0.2 0.2 0.2 1 5 normal
execute at @s[tag=fly,scores={colors=2}] run particle dust 1.000 0.420 0.000 1 ~ ~0.2 ~ 0.2 0.2 0.2 1 5 normal
execute at @s[tag=fly,scores={colors=3}] run particle dust 0.984 0.839 0.000 1 ~ ~0.2 ~ 0.2 0.2 0.2 1 5 normal
execute at @s[tag=fly,scores={colors=4}] run particle dust 0.000 0.843 0.537 1 ~ ~0.2 ~ 0.2 0.2 0.2 1 5 normal
execute at @s[tag=fly,scores={colors=5}] run particle dust 0.000 1.000 0.992 1 ~ ~0.2 ~ 0.2 0.2 0.2 1 5 normal
execute at @s[tag=fly,scores={colors=6}] run particle dust 0.616 0.506 0.953 1 ~ ~0.2 ~ 0.2 0.2 0.2 1 5 normal
execute at @s[tag=fly,scores={colors=7}] run particle dust 1.000 0.235 0.867 1 ~ ~0.2 ~ 0.2 0.2 0.2 1 5 normal

#Electricity beam: dispara un rayo que daña y ralentiza a los mobs

execute as @s[scores={click=1..},nbt={SelectedItemSlot:0}] unless entity @s[scores={timer2=1..}] run function ben:nanomech/electric

effect give @s[scores={timer2=1}] slowness 1 255 true
effect give @s[scores={timer2=1}] jump_boost 1 200 true

tag @s[scores={timer2=1}] add electric

scoreboard players add @s[scores={timer2=1..}] timer2 1

scoreboard players reset @s[scores={timer2=1..20}] walk
scoreboard players reset @s[scores={timer2=1..20}] walk_water
scoreboard players reset @s[scores={timer2=1..20}] walk_on_water
scoreboard players reset @s[scores={timer2=1..20}] sneak
scoreboard players reset @s[scores={timer2=1..20}] swim

execute at @s[scores={timer2=8..20,colors=0},tag=!fly] positioned ~ ~-1 ~ run function ben:ofl/start
execute at @s[scores={timer2=8..20,colors=1},tag=!fly] positioned ~ ~-1 ~ run function ben:ofl_r/start
execute at @s[scores={timer2=8..20,colors=2},tag=!fly] positioned ~ ~-1 ~ run function ben:ofl_o/start
execute at @s[scores={timer2=8..20,colors=3},tag=!fly] positioned ~ ~-1 ~ run function ben:ofl_y/start
execute at @s[scores={timer2=8..20,colors=4},tag=!fly] positioned ~ ~-1 ~ run function ben:ofl_g/start
execute at @s[scores={timer2=8..20,colors=5},tag=!fly] positioned ~ ~-1 ~ run function ben:ofl_b/start
execute at @s[scores={timer2=8..20,colors=6},tag=!fly] positioned ~ ~-1 ~ run function ben:ofl_v/start
execute at @s[scores={timer2=8..20,colors=7},tag=!fly] positioned ~ ~-1 ~ run function ben:ofl_p/start

execute at @s[scores={timer2=8..20,colors=0},tag=fly] positioned ~ ~-0.8 ~ run function ben:ofl/start
execute at @s[scores={timer2=8..20,colors=1},tag=fly] positioned ~ ~-0.8 ~ run function ben:ofl_r/start
execute at @s[scores={timer2=8..20,colors=2},tag=fly] positioned ~ ~-0.8 ~ run function ben:ofl_o/start
execute at @s[scores={timer2=8..20,colors=3},tag=fly] positioned ~ ~-0.8 ~ run function ben:ofl_y/start
execute at @s[scores={timer2=8..20,colors=4},tag=fly] positioned ~ ~-0.8 ~ run function ben:ofl_g/start
execute at @s[scores={timer2=8..20,colors=5},tag=fly] positioned ~ ~-0.8 ~ run function ben:ofl_b/start
execute at @s[scores={timer2=8..20,colors=6},tag=fly] positioned ~ ~-0.8 ~ run function ben:ofl_v/start
execute at @s[scores={timer2=8..20,colors=7},tag=fly] positioned ~ ~-0.8 ~ run function ben:ofl_p/start


execute at @s[scores={timer2=20},tag=!fly] run execute as @e[tag=aj.nanomech.root,sort=nearest,limit=1] run function animated_java:nanomech/animations/blast/stop
execute at @s[scores={timer2=20},tag=!fly] run execute as @e[tag=aj.nanomech.root,sort=nearest,limit=1] run function animated_java:nanomech/animations/idle/play

execute at @s[scores={timer2=20},tag=fly] run execute as @e[tag=aj.nanomech.root,sort=nearest,limit=1] run function animated_java:nanomech/animations/blast_fly/stop
execute at @s[scores={timer2=20},tag=fly] run execute as @e[tag=aj.nanomech.root,sort=nearest,limit=1] run function animated_java:nanomech/animations/walk/play

scoreboard players set @s[scores={timer2=20}] walk 3
scoreboard players set @s[scores={timer2=20}] walk_water 3
scoreboard players set @s[scores={timer2=20}] walk_on_water 3
scoreboard players set @s[scores={timer2=20}] sneak 3
scoreboard players set @s[scores={timer2=20}] swim 3

tag @s[scores={timer2=20}] remove electric

scoreboard players reset @s[scores={timer2=100}] timer2


#Optic Laser: puede disparar un rayo láser desde su ojo
execute as @s[scores={click=1..},nbt={SelectedItemSlot:1}] unless entity @s[scores={timer3=1..}] run function ben:nanomech/laser

scoreboard players add @s[scores={timer3=1..}] timer3 1
scoreboard players reset @s[scores={timer3=1..}] walk
scoreboard players reset @s[scores={timer3=1..}] walk_water
scoreboard players reset @s[scores={timer3=1..}] walk_on_water
scoreboard players reset @s[scores={timer3=1..}] sneak
scoreboard players reset @s[scores={timer3=1..}] swim

effect give @s[scores={timer3=..20}] slowness 1 255 true
effect give @s[scores={timer3=..20}] jump_boost 1 200 true
execute at @s[scores={timer3=8..39},tag=!fly] positioned ~ ~-1.4 ~ run function ben:nanomech/lasercast/start_raycast
execute at @s[scores={timer3=8..39},tag=fly] positioned ~ ~-1.2 ~ run function ben:nanomech/lasercast/start_raycast


execute at @s[scores={timer3=40},tag=!fly] run execute as @e[tag=aj.nanomech.root,sort=nearest,limit=1] run function animated_java:nanomech/animations/laser/stop
execute at @s[scores={timer3=40},tag=!fly] run execute as @e[tag=aj.nanomech.root,sort=nearest,limit=1] run function animated_java:nanomech/animations/idle/play

execute at @s[scores={timer3=40},tag=fly] run execute as @e[tag=aj.nanomech.root,sort=nearest,limit=1] run function animated_java:nanomech/animations/laser_fly/stop
execute at @s[scores={timer3=40},tag=fly] run execute as @e[tag=aj.nanomech.root,sort=nearest,limit=1] run function animated_java:nanomech/animations/walk/play

scoreboard players set @s[scores={timer3=40}] walk 3
scoreboard players set @s[scores={timer3=40}] walk_water 3
scoreboard players set @s[scores={timer3=40}] walk_on_water 3
scoreboard players set @s[scores={timer3=40}] sneak 3
scoreboard players set @s[scores={timer3=40}] swim 3

scoreboard players reset @s[scores={timer3=40}] timer3


execute as @s[nbt={SelectedItemSlot:0},scores={colors=0}] run title @s actionbar {"text":"Electricity Beam","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=0}] run title @s actionbar {"text":"Optic Laser","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:2}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:3}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:4}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:5}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:6}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:7}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:8}] run title @s actionbar {"text":""}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=1}] run title @s actionbar {"text":"Electricity Beam","color":"dark_red","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=1}] run title @s actionbar {"text":"Optic Laser","color":"dark_red","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=2}] run title @s actionbar {"text":"Electricity Beam","color":"gold","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=2}] run title @s actionbar {"text":"Optic Laser","color":"gold","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=3}] run title @s actionbar {"text":"Electricity Beam","color":"yellow","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=3}] run title @s actionbar {"text":"Optic Laser","color":"yellow","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=4}] run title @s actionbar {"text":"Electricity Beam","color":"dark_aqua","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=4}] run title @s actionbar {"text":"Optic Laser","color":"dark_aqua","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=5}] run title @s actionbar {"text":"Electricity Beam","color":"blue","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=5}] run title @s actionbar {"text":"Optic Laser","color":"blue","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=6}] run title @s actionbar {"text":"Electricity Beam","color":"dark_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=6}] run title @s actionbar {"text":"Optic Laser","color":"dark_purple","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=7}] run title @s actionbar {"text":"Electricity Beam","color":"light_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=7}] run title @s actionbar {"text":"Optic Laser","color":"light_purple","bold":true}
