#time -1

execute at @s[scores={time=2399},tag=!water] run function animated_java:ripjaws/summon
execute at @s[scores={time=2399},tag=water] run function animated_java:tail/summon
scoreboard players set @s[scores={time=2399}] watertime 1200
execute at @s[scores={time=2399}] run function ben:idle

execute at @s[tag=!water] run tp @e[tag=aj.ripjaws.root,sort=nearest,limit=1] ~ ~ ~ ~ 0
execute at @s[tag=water] run tp @e[tag=aj.tail.root,sort=nearest,limit=1] ~ ~ ~ ~ 0


execute at @s[tag=!water] unless entity @e[tag=aj.ripjaws.root,sort=nearest,limit=1,distance=..5] run scoreboard players set @s animation_run 0
execute at @s[tag=water] unless entity @e[tag=aj.tail.root,sort=nearest,limit=1,distance=..5] run scoreboard players set @s animation_run 0

execute at @s[tag=!water] as @e[tag=aj.tail.root,sort=nearest,limit=1] unless entity @e[tag=aj.ripjaws.root,sort=nearest,limit=1,distance=..5] run function ben:ripjaws/land
execute at @s[tag=water] as @e[tag=aj.ripjaws.root,sort=nearest,limit=1] unless entity @e[tag=aj.tail.root,sort=nearest,limit=1,distance=..5] run function ben:ripjaws/tail


#vida
#20 ❤️

#efectos
#debilidad (al secarse) + wither (al secarse) + lentitud (al secarse) + fatiga al minar (al secarse)
effect give @s[scores={watertime=0}] weakness 1 0 true
effect give @s[scores={watertime=0}] slowness 1 0 true
effect give @s[scores={watertime=0}] wither 1 1 true
effect give @s[scores={watertime=0}] mining_fatigue 1 0 true

#fuerza + resistencia + poder de conduit + gracia de delfín 
effect give @s[scores={watertime=1..}] strength 1 0 true
effect give @s[scores={watertime=1..}] resistance 1 0 true
effect give @s[scores={watertime=1..}] conduit_power 1 0 true
effect give @s[scores={watertime=1..}] dolphins_grace 1 0 true

#debilidades
#tierra firme: tiene un tiempo límite que puede estar fuera del agua o fuera de la lluvia antes de recibir daño (este tiempo se reduce aún más rápido en el desierto y se agota completamente al entrar al nether)
scoreboard players set @s[tag=water] watertime 1200
execute as @s[predicate=!ben:clear] run scoreboard players set @s[predicate=is_sky:check_sky] watertime 1200
scoreboard players remove @s[tag=!water,scores={watertime=1..}] watertime 1
scoreboard players remove @s[tag=!water,scores={watertime=1..},predicate=ben:desert] watertime 1
execute if block ~ ~-1 ~ magma_block run scoreboard players remove @s[tag=!water,scores={watertime=1..}] watertime 1
scoreboard players remove @s[predicate=ben:fire,tag=!water,scores={watertime=1..}] watertime 1
scoreboard players set @s[tag=!water,scores={watertime=1..},predicate=ben:nether] watertime 0

#habilidades pasivas
#forma acuática: al entrar y salir del agua cambia entre sus formas acuáticas y terrestres respectivamente 

#habilidades activas
#mordisco: inflige daño extra a los mobs
execute as @s[scores={click=1..},nbt={SelectedItemSlot:0}] unless entity @s[scores={timer=1..}] run function ben:ripjaws/bite

execute as @s[nbt={SelectedItemSlot:0},scores={colors=0}] run title @s actionbar {"text":"Bite","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:1}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:2}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:3}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:4}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:5}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:6}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:7}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:8}] run title @s actionbar {"text":""}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=1}] run title @s actionbar {"text":"Bite","color":"dark_red","bold":true}
execute as @s[nbt={SelectedItemSlot:0},scores={colors=2}] run title @s actionbar {"text":"Bite","color":"gold","bold":true}
execute as @s[nbt={SelectedItemSlot:0},scores={colors=3}] run title @s actionbar {"text":"Bite","color":"yellow","bold":true}
execute as @s[nbt={SelectedItemSlot:0},scores={colors=4}] run title @s actionbar {"text":"Bite","color":"dark_aqua","bold":true}
execute as @s[nbt={SelectedItemSlot:0},scores={colors=5}] run title @s actionbar {"text":"Bite","color":"blue","bold":true}
execute as @s[nbt={SelectedItemSlot:0},scores={colors=6}] run title @s actionbar {"text":"Bite","color":"dark_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:0},scores={colors=7}] run title @s actionbar {"text":"Bite","color":"light_purple","bold":true}


execute at @s[scores={timer=19},tag=water] run function ben:walk

#timer bite
scoreboard players add @s[scores={timer=1..}] timer 1 
scoreboard players reset @s[scores={timer=20..}] timer 