## Run from tf_raycast:start_raycast

# Using dx for precise hitbox detection
# Parameters:
#     Edit not_mob.json in tags/entities to change which entities will not be targetted
#     Change the "positioned" offsets to change projectile size
#       - If > 1 block, just use one dx detection
execute as @e[tag=!spitraycasting,type=!#ben:not_mob,dx=0] positioned ~-0.99 ~-0.99 ~-0.99 if entity @s[dx=0] positioned ~0.99 ~0.99 ~0.99 run function ben:stinkfly/spitcast/collide

scoreboard players add .distance tf_rc 1

# Make raycast visible
particle minecraft:block slime_block ~ ~ ~ 0.2 0.2 0.2 0.05 4
particle minecraft:item_slime ~ ~ ~ 0.2 0.2 0.2 0.05 1

# Repeat the raycast if certain conditions are met
# Parameters:
#    (score after "matches") * (accuracy increment) = range
#    The "positioned" value specifies the precision
#    Edit raycast_pass.json in tags/blocks to change which blocks the raycast ignores
#    "rotated" controls arc/curve of raycast path

execute if score .distance tf_rc matches ..200 positioned ^ ^ ^0.1 rotated ~ ~ if block ~ ~ ~ fire run summon tnt
execute if score .distance tf_rc matches ..200 positioned ^ ^ ^0.1 rotated ~ ~ if block ~ ~ ~ fire run scoreboard players set .distance tf_rc 200

execute if score .distance tf_rc matches ..200 positioned ^ ^ ^0.1 rotated ~ ~ if block ~ ~ ~ lava run summon tnt
execute if score .distance tf_rc matches ..200 positioned ^ ^ ^0.1 rotated ~ ~ if block ~ ~ ~ lava run scoreboard players set .distance tf_rc 200

execute if score .distance tf_rc matches ..200 positioned ^ ^ ^0.1 rotated ~ ~ if block ~ ~ ~ magma_block run summon tnt
execute if score .distance tf_rc matches ..200 positioned ^ ^ ^0.1 rotated ~ ~ if block ~ ~ ~ magma_block run scoreboard players set .distance tf_rc 200

execute if score .distance tf_rc matches ..200 positioned ^ ^ ^0.1 rotated ~ ~ if block ~ ~ ~ #ben:raycast_pass run function ben:stinkfly/spitcast/raycast