#time -1

execute at @s[scores={time=2399}] run function animated_java:stinkfly/summon
execute at @s[scores={time=2399}] run function ben:idle
execute at @s run tp @e[tag=aj.stinkfly.root,sort=nearest,limit=1] ~ ~ ~ ~ 0

scoreboard players set @s[scores={time=2399}] watertime 0

#vida
#15 ❤️
attribute @s[scores={time=2399}] minecraft:generic.max_health base set 15

#efectos
execute as @s at @s if block ~ ~-1 ~ air unless entity @s[scores={watertime=1..}] run effect give @s slow_falling 1 0 true

#debilidades
#agua: después de salir del agua o durante la lluvia es incapaz de volar

scoreboard players set @s[tag=water] watertime 60
execute as @s[predicate=!ben:clear,predicate=is_sky:check_sky] run scoreboard players set @s watertime 60
scoreboard players remove @s[tag=!water,scores={watertime=1..}] watertime 1

#habilidades activas
#vuelo: puede volar

execute as @s unless entity @s[scores={watertime=1..}] run function ben:fly
execute at @s if block ~ ~-1 ~ air unless entity @s[scores={watertime=1..}] run scoreboard players add @s timer2 1

execute at @s[scores={timer2=1},nbt={OnGround:0b}] run execute as @e[tag=aj.stinkfly.root,sort=nearest,limit=1] run function animated_java:stinkfly/animations/run/stop
execute at @s[scores={timer2=1},nbt={OnGround:0b}] run execute as @e[tag=aj.stinkfly.root,sort=nearest,limit=1] run function animated_java:stinkfly/animations/walk/stop
execute at @s[scores={timer2=1},nbt={OnGround:0b}] run execute as @e[tag=aj.stinkfly.root,sort=nearest,limit=1] run function animated_java:stinkfly/animations/fly/play

scoreboard players reset @s[nbt={OnGround:0b}] walk
scoreboard players reset @s[nbt={OnGround:0b}] walk_water
scoreboard players reset @s[nbt={OnGround:0b}] walk_on_water
scoreboard players reset @s[nbt={OnGround:0b}] sneak


execute at @s[scores={timer2=1..},nbt={OnGround:1b}] run execute as @e[tag=aj.stinkfly.root,sort=nearest,limit=1] run function animated_java:stinkfly/animations/fly/stop
execute at @s[scores={timer2=1..},nbt={OnGround:1b}] run execute as @e[tag=aj.stinkfly.root,sort=nearest,limit=1] run function animated_java:stinkfly/animations/idle/play

scoreboard players set @s[scores={timer2=1..},nbt={OnGround:1b}] walk 3
scoreboard players set @s[scores={timer2=1..},nbt={OnGround:1b}] walk_water 3
scoreboard players set @s[scores={timer2=1..},nbt={OnGround:1b}] walk_on_water 3
scoreboard players set @s[scores={timer2=1..},nbt={OnGround:1b}] sneak 3
scoreboard players set @s[scores={timer2=1..},nbt={OnGround:1b}] swim 3


scoreboard players reset @s[nbt={OnGround:1b}] timer2



#aguijón: inflige daño extra a los mobs
execute as @s[scores={click=1..},nbt={SelectedItemSlot:0}] unless entity @s[scores={timer3=1..}] run function ben:stinkfly/sting

#disparo de baba: puede disparar baba desde los ojos que daña y ralentiza a los mobs
execute as @s[scores={click=1..},nbt={SelectedItemSlot:1}] unless entity @s[scores={timer4=1..}] run function ben:stinkfly/shot

#escupitajo de baba: puede disparar baba desde la boca que daña y ralentiza a los mobs
execute as @s[scores={click=1..},nbt={SelectedItemSlot:2}] unless entity @s[scores={timer=1..}] run function ben:stinkfly/spit

execute as @s[nbt={SelectedItemSlot:0},scores={colors=0}] run title @s actionbar {"text":"Sting","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=0}] run title @s actionbar {"text":"Slime Projectiles","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=0}] run title @s actionbar {"text":"Slime Spit","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:3}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:4}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:5}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:6}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:7}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:8}] run title @s actionbar {"text":""}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=1}] run title @s actionbar {"text":"Sting","color":"dark_red","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=1}] run title @s actionbar {"text":"Slime Projectiles","color":"dark_red","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=1}] run title @s actionbar {"text":"Slime Spit","color":"dark_red","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=2}] run title @s actionbar {"text":"Sting","color":"gold","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=2}] run title @s actionbar {"text":"Slime Projectiles","color":"gold","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=2}] run title @s actionbar {"text":"Slime Spit","color":"gold","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=3}] run title @s actionbar {"text":"Sting","color":"yellow","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=3}] run title @s actionbar {"text":"Slime Projectiles","color":"yellow","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=3}] run title @s actionbar {"text":"Slime Spit","color":"yellow","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=4}] run title @s actionbar {"text":"Sting","color":"dark_aqua","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=4}] run title @s actionbar {"text":"Slime Projectiles","color":"dark_aqua","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=4}] run title @s actionbar {"text":"Slime Spit","color":"dark_aqua","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=5}] run title @s actionbar {"text":"Sting","color":"blue","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=5}] run title @s actionbar {"text":"Slime Projectiles","color":"blue","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=5}] run title @s actionbar {"text":"Slime Spit","color":"blue","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=6}] run title @s actionbar {"text":"Sting","color":"dark_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=6}] run title @s actionbar {"text":"Slime Projectiles","color":"dark_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=6}] run title @s actionbar {"text":"Slime Spit","color":"dark_purple","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=7}] run title @s actionbar {"text":"Sting","color":"light_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=7}] run title @s actionbar {"text":"Slime Projectiles","color":"light_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:2},scores={colors=7}] run title @s actionbar {"text":"Slime Spit","color":"light_purple","bold":true}



#timer spit

effect give @s[scores={timer=1}] slowness 2 255 true
effect give @s[scores={timer=1}] jump_boost 2 200 true

scoreboard players add @s[scores={timer=1..}] timer 1 

execute at @s[scores={timer=13}] run function ben:stinkfly/spitcast/start_raycast

scoreboard players reset @s[scores={timer=39}] timer2
scoreboard players reset @s[scores={timer=39}] timer

scoreboard players reset @s[scores={timer=1..38}] walk
scoreboard players reset @s[scores={timer=1..38}] walk_water
scoreboard players reset @s[scores={timer=1..38}] walk_on_water
scoreboard players reset @s[scores={timer=1..38}] sneak
scoreboard players reset @s[scores={timer=1..38}] swim

execute at @s[scores={timer=38}] run execute as @e[tag=aj.stinkfly.root,sort=nearest,limit=1] run function animated_java:stinkfly/animations/spit/stop
execute at @s[scores={timer=38}] run execute as @e[tag=aj.stinkfly.root,sort=nearest,limit=1] run function animated_java:stinkfly/animations/fly/stop
execute at @s[scores={timer=38}] run execute as @e[tag=aj.stinkfly.root,sort=nearest,limit=1] run function animated_java:stinkfly/animations/idle/play

scoreboard players set @s[scores={timer=38}] walk 3
scoreboard players set @s[scores={timer=38}] walk_water 3
scoreboard players set @s[scores={timer=38}] walk_on_water 3
scoreboard players set @s[scores={timer=38}] sneak 3
scoreboard players set @s[scores={timer=38}] swim 3

#timer shot

effect give @s[scores={timer4=1}] slowness 1 255 true
effect give @s[scores={timer4=1}] jump_boost 1 200 true

scoreboard players add @s[scores={timer4=1..}] timer4 1 

execute at @s[scores={timer4=5}] run function ben:stinkfly/shotcast/start_raycast

execute at @s[scores={timer4=10}] run function ben:stinkfly/shotcast/start_raycast

execute at @s[scores={timer4=15}] run function ben:stinkfly/shotcast/start_raycast

execute at @s[scores={timer4=20}] run function ben:stinkfly/shotcast/start_raycast


scoreboard players reset @s[scores={timer4=21..}] timer2
scoreboard players reset @s[scores={timer4=21..}] timer4

scoreboard players reset @s[scores={timer4=1..20}] walk
scoreboard players reset @s[scores={timer4=1..20}] walk_water
scoreboard players reset @s[scores={timer4=1..20}] walk_on_water
scoreboard players reset @s[scores={timer4=1..20}] sneak
scoreboard players reset @s[scores={timer4=1..20}] swim

execute at @s[scores={timer4=20..}] run execute as @e[tag=aj.stinkfly.root,sort=nearest,limit=1] run function animated_java:stinkfly/animations/eye/stop
execute at @s[scores={timer4=20..}] run execute as @e[tag=aj.stinkfly.root,sort=nearest,limit=1] run function animated_java:stinkfly/animations/fly/stop
execute at @s[scores={timer4=20..}] run execute as @e[tag=aj.stinkfly.root,sort=nearest,limit=1] run function animated_java:stinkfly/animations/idle/play

scoreboard players set @s[scores={timer4=20}] walk 3
scoreboard players set @s[scores={timer4=20}] walk_water 3
scoreboard players set @s[scores={timer4=20}] walk_on_water 3
scoreboard players set @s[scores={timer4=20}] sneak 3
scoreboard players set @s[scores={timer4=20}] swim 3

#timer sting

scoreboard players reset @s[scores={timer3=1..11}] walk
scoreboard players reset @s[scores={timer3=1..11}] walk_water
scoreboard players reset @s[scores={timer3=1..11}] walk_on_water
scoreboard players reset @s[scores={timer3=1..11}] sneak
scoreboard players reset @s[scores={timer3=1..11}] swim

execute as @s[scores={timer3=11..}] run execute as @e[tag=aj.stinkfly.root,sort=nearest,limit=1] run function animated_java:stinkfly/animations/attack2/stop
execute at @s[scores={timer3=11..}] run execute as @e[tag=aj.stinkfly.root,sort=nearest,limit=1] run function animated_java:stinkfly/animations/fly/stop
execute at @s[scores={timer3=11..}] run execute as @e[tag=aj.stinkfly.root,sort=nearest,limit=1] run function animated_java:stinkfly/animations/idle/play

scoreboard players set @s[scores={timer3=11}] walk 3
scoreboard players set @s[scores={timer3=11}] walk_water 3
scoreboard players set @s[scores={timer3=11}] walk_on_water 3
scoreboard players set @s[scores={timer3=11}] sneak 3
scoreboard players set @s[scores={timer3=11}] swim 3

scoreboard players add @s[scores={timer3=1..}] timer3 1 
scoreboard players reset @s[scores={timer3=12..}] timer2
scoreboard players reset @s[scores={timer3=12..}] timer3

