#time -1

execute at @s[scores={time=2399}] run function animated_java:xlr8/summon
execute at @s run tp @e[tag=aj.xlr8.root,sort=nearest,limit=1] ~ ~ ~ ~ 0
execute at @s[scores={time=2399}] run function ben:idle

#vida
#15 ❤️
attribute @s[scores={time=2399}] minecraft:generic.max_health base set 15


#efectos
#salto + velocidad + haste + regeneracion
effect give @s speed 1 1 true
effect give @s jump_boost 1 0 true
effect give @s haste 1 0 true
effect give @s[nbt=!{active_effects:[{id:"minecraft:regeneration",amplifier:2b}]}] regeneration 1 2 true


#habilidades pasivas
#impulso: al correr aumenta aún más su velocidad
effect give @s[predicate=ben:sprint] speed 1 5 true
#correr sobre agua (bajo los efectos de impulso): puede correr sobre el agua

#tp
#execute at @s[predicate=ben:sprint] if entity @s[predicate=!ben:sneak] if block ~ ~-1 ~ water run tp @e[type=minecraft:shulker,limit=1,sort=nearest,tag=floor] ~ ~-1 ~ 

execute at @s[predicate=ben:sprint] if entity @s[predicate=!ben:sneak] if block ~ ~-1 ~ water run scoreboard players add @s timer 1 
execute at @s[predicate=!ben:sprint] run scoreboard players reset @s timer 
execute at @s[predicate=ben:sneak] run scoreboard players reset @s timer 


#particle
execute at @s[predicate=ben:sprint] if entity @s[predicate=!ben:sneak] if block ~ ~-1 ~ water run particle splash ~ ~ ~ 0.25 0 0.25 1 100 normal

#summon
execute at @s[scores={timer=1}] run summon shulker ~ ~-1 ~ {NoGravity:0b,Silent:1b,Invulnerable:1b,DeathLootTable:"empty",NoAI:1b,Color:14b,Peek:0b,AttachFace:0b,Tags:["noglow","floor"]}
#invisibility
effect give @e[type=minecraft:shulker,tag=floor] invisibility infinite 1 true
#kill
#execute at @s[predicate=!ben:sprint] run kill @e[type=minecraft:shulker,distance=..6,sort=nearest,tag=floor]
#execute at @s[predicate=ben:sneak] run kill @e[type=minecraft:shulker,distance=..6,sort=nearest,tag=floor]


execute as @e[type=minecraft:shulker,tag=floor] if entity @p[predicate=!ben:sprint,scores={alien=4}] run kill @s
execute as @e[type=minecraft:shulker,tag=floor] if entity @p[predicate=ben:sneak,scores={alien=4}] run kill @s

 
#habilidades activas
#remolino: puede crear pequeños remolinos para dañar a los mobs a distancia
execute as @s[scores={click=1..},nbt={SelectedItemSlot:0}] unless entity @s[scores={timer2=1..}] run function ben:xlr8/tornado

#tornado: corre en círculos para crear un tornado y elevar a todos los mobs cercanos
execute as @s[scores={click=1..},nbt={SelectedItemSlot:1}] run function ben:xlr8/vortex

execute as @s[nbt={SelectedItemSlot:0},scores={colors=0}] run title @s actionbar {"text":"Tornado","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=0}] run title @s actionbar {"text":"Vortex","color":"dark_green","bold":true}
execute as @s[nbt={SelectedItemSlot:2}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:3}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:4}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:5}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:6}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:7}] run title @s actionbar {"text":""}
execute as @s[nbt={SelectedItemSlot:8}] run title @s actionbar {"text":""}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=1}] run title @s actionbar {"text":"Tornado","color":"dark_red","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=1}] run title @s actionbar {"text":"Vortex","color":"dark_red","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=2}] run title @s actionbar {"text":"Tornado","color":"gold","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=2}] run title @s actionbar {"text":"Vortex","color":"gold","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=3}] run title @s actionbar {"text":"Tornado","color":"yellow","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=3}] run title @s actionbar {"text":"Vortex","color":"yellow","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=4}] run title @s actionbar {"text":"Tornado","color":"dark_aqua","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=4}] run title @s actionbar {"text":"Vortex","color":"dark_aqua","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=5}] run title @s actionbar {"text":"Tornado","color":"blue","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=5}] run title @s actionbar {"text":"Vortex","color":"blue","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=6}] run title @s actionbar {"text":"Tornado","color":"dark_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=6}] run title @s actionbar {"text":"Vortex","color":"dark_purple","bold":true}

execute as @s[nbt={SelectedItemSlot:0},scores={colors=7}] run title @s actionbar {"text":"Tornado","color":"light_purple","bold":true}
execute as @s[nbt={SelectedItemSlot:1},scores={colors=7}] run title @s actionbar {"text":"Vortex","color":"light_purple","bold":true}


execute at @s[predicate=ben:sprint] run function ben:xlr8/trailcast/start_raycast



execute at @s[scores={timer2=1}] run execute as @e[tag=aj.xlr8.root,sort=nearest,limit=1] run function animated_java:xlr8/animations/run/stop
execute at @s[scores={timer2=10},predicate=ben:sprint] run execute as @e[tag=aj.xlr8.root,sort=nearest,limit=1] run function animated_java:xlr8/animations/run/play
execute at @s[scores={timer2=1}] run execute as @e[tag=aj.xlr8.root,sort=nearest,limit=1] run function animated_java:xlr8/animations/tornado/play
execute at @s[scores={timer2=10}] run execute as @e[tag=aj.xlr8.root,sort=nearest,limit=1] run function animated_java:xlr8/animations/tornado/stop

execute at @s[scores={timer2=10},predicate=!ben:sprint] run execute as @e[tag=aj.xlr8.root,sort=nearest,limit=1] run function animated_java:xlr8/animations/idle/play

#timer animation stop
scoreboard players add @s[scores={timer2=1..}] timer2 1 
scoreboard players reset @s[scores={timer2=11..}] timer2